apt-listchanges (4.7) unstable; urgency=medium

  * Updated Japanese debconf translation courtesy of Victory.
  * Updated traditional Chinese program translation courtesy of Kan-Ru
    Chen.
  * When doing the initial population of the seen database post-install,
    allow the load average to go up to the number of CPUs on the machine
    before we pause, rather than using a limit of 1. There won't be a
    significant user-visible impact on performance until the load average
    exceeds the CPU count, and increasing our limit allows us to finish
    much faster. (Closes: #1082833)
  * Format-string fix for simplified Chinese translation, courtesy of
    Boyuan Yang <byang@debian.org> (fixes program crash when running in
    simplified Chinese locale). (Closes: #1083001)

 -- Jonathan Kamens <jik@kamens.us>  Sun, 29 Sep 2024 16:31:38 -0400

apt-listchanges (4.6) unstable; urgency=medium

  * Man page translation updates: French courtesy of Jean-Pierre Giraud
    and the Debian French translation team, German courtesy of Helge
    Kreutzmann, Italian courtesy of Ceppo, Portuguese courtesy of Américo
    Monteiro, Romanian courtesy of Remus-Gabriel Chelu.
    (Closes: #1080256, #1080473, #1081630)
  * Debconf translation updates: Czech courtesy of Miroslav Kure,
    Italian courtesy of Ceppo. simplified Chinese courtesy of Xiyue Deng.
    (Closes: #1080353)
  * Program translation updates: Basque courtesy of Dooteo, Catalan
    courtesy of Carles Pina i Estany, Italian courtesy of Ceppo.
    (Closes: #1081467)
  * Minor man page typo and language cleanup courtesy of Ceppo.

 -- Jonathan Kamens <jik@kamens.us>  Sat, 21 Sep 2024 18:07:27 -0400

apt-listchanges (4.5) experimental; urgency=medium

  * If the user has the `confirm` feature enabled and aborts the upgrade,
    the changes they were shown should be shown to them again when they
    rerun the upgrade. This restores the previous behavior, which was
    unintentionally changed in version 4.3.
  * Special-case handling of changelogs for `linux-image-*` packages to
    prevent us from displaying changelog entries we shouldn't, by trusting
    the version number sequencing in those changelogs.
    (Closes: #1055780)
  * Display binary NMU changelog entries. (Closes: #1063677)
  * Document the systemd timer and service in the man page, and reference
    the man page from the systemd unit files so it is displayed when
    someone does `systemctl help apt-listchanges.timer` or `systemctl help
    apt-listchanges.service`.
  * Update the man page to make it clear that `--which=news` is only the
    default when running as an APT plugin; otherwise the default is
    `--which=both`. (Closes: #1052514)
  * Updated program translations: Brazilian Portuguese courtesy of Carlos
    Henrique Lima Melara, Catalan courtesy of Carles Pina i Estany, Czech
    courtesy of Miroslav Kure, Dutch courtesy of Frans Spiesschaert,
    French courtesy of Jean-Pierre Giraud.
    (Closes: #1055127, #1055180, #1055239, #1056772)
  * Updated man page translations: Dutch courtesy of Frans Spiesschaert,
    French courtesy of Jean-Pierre Giraud. (Closes: #1055182, #1055240)
  * Updated Swedish debconf translation courtesy of Martin Bagge.
    (Closes: #1059225)

 -- Jonathan Kamens <jik@kamens.us>  Sat, 31 Aug 2024 20:22:51 -0400

apt-listchanges (4.4) experimental; urgency=medium

  * Performance improvement: don't parse and extract files from each deb
    twice when network changelogs are enabled and we're displaying both
    changelogs and news.
  * As per the discussion in bug #1054108, enable version-number-based
    parsing logic for local changelog files, not just for network
    changelogs. To be clear: this applies only to changelog files, not
    NEWS files.
  * Update /usr/share/doc/apt-listchanges/what_to_display.html to reflect
    the current algorithm.

 -- Jonathan Kamens <jik@kamens.us>  Fri, 20 Oct 2023 16:00:50 -0400

apt-listchanges (4.3) experimental; urgency=medium

  * Clean up database files and shapshots on purge. (Closes: #1053925)
  * Capture list of debs properly in snapshots in APT mode.
  * Save displayed entries to database and snapshot even when user cancels
    update at the confirm prompt.
  * Treat packages with the same package name but different architectures
    as distinct. In most cases this won't make any difference, but it should
    still be done this way so the edge cases are handled correctly.

 -- Jonathan Kamens <jik@kamens.us>  Wed, 18 Oct 2023 22:19:50 -0400

apt-listchanges (4.2) experimental; urgency=medium

  * Fix a bug in 4.1 which was causing the seen database to be corrupted
    and causing repeat changelog entries to be displayed. (Closes: #1053812)
  * Add new snapshot functionality for experimental releases. See
    README.Debian for details.
  * Fix for: a NEWS entry which matches an entry in the changelog file
    should not cause processing of the changelog to stop.
  * The database structure has been refactored to facilitate strong typing
    hints and and also to make the database more robust and the code which
    uses it clearer and more straightforward. When this release is
    installed the old database is discarded. If you would like to
    prepopulate the new database to speed up future apt-listchanges runs,
    run `systemctl start apt-listchanges.service` as root.
  * Adjust the logic for when we save changes out to the seen database.
    Specifically, we need to attempt to save changes even when we haven't
    displayed any changelog or news entries to the user, because it's
    possible that we seeded the database while determining that nothing
    should be displayed, and those seeds should be saved. At the same
    time, however, don't rewrite the database when we haven't actually
    made any changes.
  * Revert setting the LESSSECURE environment variable, since it messes up
    the terminal state of the user suspends and resumes apt-listchanges
    running inside apt. (Closes: #1053863)
  * Do some minor refactoring of the database populating script to make it
    easier to unit-test and debug.
  * Other minor non-functional fixes.
  * Update Chinese (zh_CN) program translation. Thanks to Xiyue Deng.

 -- Jonathan Kamens <jik@kamens.us>  Fri, 13 Oct 2023 01:39:00 -0400

apt-listchanges (4.1) experimental; urgency=medium

  * Updated Portuguese translation of man page. Thanks to Américo
    Monteiro. (Closes: #1053432)
  * After releasing 4.0 we discovered that it fixes an additional bug.
    (Closes: #988090)
  * Updated Brazilian Portuguese translation of the program. Thanks to
    Paulo Henrique de Lima Santana. (Closes: #1023988)
  * Set the LESSSECURE environment variable to reduce potential security
    exposure. Thanks to Christian Göttsche for the suggestion.
    (Closes: #1003112)
  * Updated German translation of man page and program. Thanks to Helge
    Kreutzmann. (Closes: #1053606, #1053607)
  * Improve performance for packages that don't have any changelog or NEWS
    files.
  * Improve performance when determining changelog entries for a package
    that isn't already in the database of previously seen packages.
  * Fix a bug in 4.0 which prevented the old, obsolete seen database file
    (/var/lib/apt/listchanges.db) from being deleted on upgrade.
  * Add a service which runs after installation to populate the APT seen
    database from installed packages so they don't have to be populated
    during upgrades, so interactive performance is faster for the user.
  * When extracting changelog entries from a package that is being
    upgraded, and neither the new or installed version of the package have
    local changelog entries, and we are unable to fetch the entries for
    the installed version of the package from the network, then attempt to
    do version-based filtering of the entries from the network changelog
    for the new version. (Closes: #1053696)
  * Fix an instance of entries being displayed that shouldn't have been
    because they are already present in the installed changelog files.
    (Closes: #1053725)

 -- Jonathan Kamens <jik@kamens.us>  Mon, 09 Oct 2023 15:15:05 -0400

apt-listchanges (4.0) experimental; urgency=medium

  * New maintainer. (Closes: #981890)
  * Overhaul how apt-listchanges determines which changelog and NEWS
    entries to display to users.
    (Closes: #478188, #748631, #760918, #1020858, #1023084, #1052986)
  * Don't flash Gtk frontend window briefly without displaying anything.
    (Closes: #514865)
  * Allow Gtk frontend window to start hidden with `--hide' command-line
    option or `hide' config setting.
  * Flash or badge the Gtk frontend taskbar icon when content is ready in
    the window.
  * Fix broken `--filter' command-line option / `filter' configuration
    file setting. It previously caused the program to crash when used.
    (Closes: #1052569)
  * Fix man page to no longer falsely state that `--latest' can only be
    used with a single .deb file. In fact `--latest' works fine with
    multiple .deb files.
  * Don't assume that all binary packages from the same source have the
    same changelog and news entries, thereby potentially failing to
    display some messages to the user. (Closes: #383803)
  * Flush output before prompting for install confirmation. Thanks to
    Timon Reinold. (Closes: #1028474)
  * Add a blank line after the "--- Changes for .. ---" headers to make
    them stand out a bit more. (Closes: #880142)
  * Dutch translation of the man page. Thanks to Frans Spiesschaert.
    (Closes: #1033903)
  * Romanian translation of the program. Thanks to Remus-Gabriel Chelu.
    (Closes: #1034197, #1034241)
  * Install Python files required by the application in the standard
    location rather than a custom location, and use the standard Debian
    mechanism for packaging a Debian package rather than custom packaging.
  * Remove APT_HOOK_INFO_FD backward compatibility code that was obsolete
    as of Debian 10.
  * Fix some errant debug messages that were being printed even when
    `--debug' wasn't specified.
  * Code cleanup and improvement, including `flake8' and `pylint'
    compatibility, (some) unit tests, and adherence to newer standards and
    best practices.
  * Remove TODO from /usr/share/doc/apt-listchanges since it's out-of-date
    and unlikely to be useful to anyone.

 -- Jonathan Kamens <jik@kamens.us>  Mon, 02 Oct 2023 21:49:53 -0400

apt-listchanges (3.27) unstable; urgency=medium

  * QA upload.
  * debian/po/pt_BR.po: Update. Thanks to Paulo Henrique de Lima Santana.
    (Closes: #1023983)

 -- Marcos Talau <talau@debian.org>  Mon, 11 Sep 2023 05:57:26 +0530

apt-listchanges (3.26) unstable; urgency=medium

  * QA upload.
  * Remove constraints unnecessary since buster
  * Revert "Change maintainer to myself" (keep orphaned)

  [ Akbarkhon Variskhanov ]
  * doc: Fix "and than" to "and then"

 -- Bastian Germann <bage@debian.org>  Fri, 01 Sep 2023 14:22:56 +0200

apt-listchanges (3.25) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch.

  [ Brian Thompson ]
  * Change maintainer to myself (closes: #981890).
  * Fix uninitialized variable.
  * Add debconf as build-dep.
  * Automated po update.

 -- Brian Thompson <brian@hashvault.io>  Mon, 19 Jul 2021 16:57:11 -0500

apt-listchanges (3.24) unstable; urgency=medium

  * QA upload
  * Update Portuguese man page translation (closes: #982824). Thanks Américo
    Monteiro.
  * Update German man page translation (closes: #982637). Thanks Helge
    Kreutzmann.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 28 Mar 2021 13:06:44 +0200

apt-listchanges (3.23) unstable; urgency=medium

  * Orphan package, set maintainer to Debian QA Group (see: #981890).
  * Update Spanish translation of debconf templates (closes: #958874).
  * Don't MIME-encode e-mail subject line if it consists of printable
    ascii characters only (closes: #946700).
  * Fix a typo in man page (lintian).
  * Update *.pot and *.po files.

 -- Robert Luberda <robert@debian.org>  Thu, 04 Feb 2021 21:25:55 +0100

apt-listchanges (3.22+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Import syslog module before using it (Closes: #977858)
  * Add config files to bug reports in case they differ to debconf.

 -- Paul Wise <pabs@debian.org>  Mon, 18 Jan 2021 14:31:47 +0800

apt-listchanges (3.22+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't convert None to int (Closes: #974983)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Nov 2020 08:21:40 +0100

apt-listchanges (3.22+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Paul Wise ]
  * Update debhelper compat level to 13, no changes needed.
  * Update standards version to 4.5.1, no changes needed.
  * Fix an indefinite article, some typos and capitalisation
  * Update FSF address in GNU General Public License grants
  * Add an option to show only the latest N entries (Closes: #962745)
  * Add support for a config dir that overrides the main config file
    (Closes: #781425)
  * Look up dirs and files in the apt config (Closes: #922186)
  * Add log and syslog frontends and title disable option (Closes: #962313)

  [ Niklas Sombert ]
  * Fix broken HTML in German translation (Closes: #964924)

 -- Paul Wise <pabs@debian.org>  Fri, 05 Jun 2020 11:32:39 +0800

apt-listchanges (3.22) unstable; urgency=medium

  * While converting changelogs to html, e.g. for browser frontend, do not
    treat enclosing '<', '>' or trailing punctuation characters (e.g. '.'),
    as part of URLs, to properly parse links like <https://www.debian.org/>.
  * Updated program translations:
    + German (Helge Kreutzmann, closes: #944201);
    + Dutch (Frans Spiesschaert, closes: #945355).
  * Replace debian/compat file with build dependency on debhelper-compat.

 -- Robert Luberda <robert@debian.org>  Sun, 22 Dec 2019 13:26:57 +0100

apt-listchanges (3.21) unstable; urgency=medium

  * Fold identical binary NMUs entries together and display them
    as separate "Binary NMU of: <list of packages>" sections at
    the bottom of the changelogs list (closes: #841837, #934187).
  * Reword the continue/abort installation message shown by GTK frontend
    to make it less misleading (closes: #924313)
  * Before deleting a temporary file, try to detect if spawned program
    has actually started reading it.  This fixes showing changes in a
    programs like firefox that fork themselves and exit immediately.
  * Update German translation of man page (closes: #941346). Thanks
    to Chris Leick.
  * Fix two spelling typos in the English man page noticed by Chris,
    and unfuzzy translations.
  * Standards-Version: 4.4.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 03 Nov 2019 20:09:22 +0100

apt-listchanges (3.20) unstable; urgency=low

  * Merge changes from Mickaël Schoentgen to improve code quality:
    + fix DeprecationWarning: invalid escape sequence;
    + fix several ResourceWarning: unclosed file;
    + fix code smells: equaliy comparisons with None, unused imports,
      trailing semi-colons.
  * Add Portuguese translation of man page (closes: #927834). Thanks
    to Américo Monteiro.
  * Build with debhelper v12.
  * debian/control:
    + remove X-Python3-Version field (lintian);
    + Standards-Version: 4.4.0.

 -- Robert Luberda <robert@debian.org>  Sat, 10 Aug 2019 09:14:46 +0200

apt-listchanges (3.19) unstable; urgency=medium

  * Updated debconf translations:
    + Danish (Joe Dalton; closes: #923063);
    + Russian (Lev Lamberov, closes: #920599).

 -- Robert Luberda <robert@debian.org>  Sun, 17 Mar 2019 23:48:06 +0100

apt-listchanges (3.18) unstable; urgency=medium

  [ Matt Kraai ]
  * Remove extra [ from email_re (closes: #911868).

  [ Robert Luberda ]
  * Remove custom compression settings from source/options (lintian).
  * Standards-Version: 4.2.1.

 -- Robert Luberda <robert@debian.org>  Thu, 29 Nov 2018 11:37:28 +0100

apt-listchanges (3.17) unstable; urgency=medium

  * Updated program translations:
    + Russian (Lev Lamberov, closes: #892059).
  * Updated debconf translations:
    + Dutch (Frans Spiesschaert, closes: #895054);
    + Portuguese (Traduz, closes: #898189).
  * Fix a typo in man page (closes: #904974).
  * debian/control:
    + add dependency on 'sensible-utils', as suggested by lintian; and remove
      version dependency on ancient version of essential 'debianutils';
    + update Vcs-* fields for salsa migration;
    + Standards-Version: 4.2.0.

 -- Robert Luberda <robert@debian.org>  Tue, 07 Aug 2018 23:27:22 +0200

apt-listchanges (3.16) unstable; urgency=medium

  * Updated debconf translations:
    + French (Alban Vidal, closes: #887128);
    + German (Helge Kreutzmann, closes: #886530).

  * Switch to debhelper v11.
  * Bump Standards-Version to 4.1.3.

 -- Robert Luberda <robert@debian.org>  Sun, 14 Jan 2018 17:05:51 +0100

apt-listchanges (3.15) unstable; urgency=medium

  * Handle `Too many levels of symbolic links' (ELOOP) error while searching
    for possible changelog file names (LP: #174314).

  * Updated debconf translations:
    + Dutch (Frans Spiesschaert, closes: #874278);
    + French (Alban Vidal, closes: #872200);
    + German (Helge Kreutzmann, closes: #877432);
    + Portuguese (Rui Branco, closes: #870084);
    + Russian (Lev Lamberov, closes: #883878).
  * Updated program translations:
    + Dutch (Frans Spiesschaert, closes: #874288);
    + German (Helge Kreutzmann, closes: #878320);
    + Japanese (Hideki Yamane, closes: #880042).
  * Updated man page translations:
    + French (Jean-Pierre Giraud, closes: #874023).

  * Cleanup English text of debconf templates, based on Justin B Rye's input
    in https://lists.debian.org/debian-l10n-english/2017/07/msg00005.html.
    Update debconf translations and unfuzzy them when possible.
  * debian/control:
    + add Rules-Requires-Root: no;
    + Standards-Version: 4.1.2.

 -- Robert Luberda <robert@debian.org>  Fri, 22 Dec 2017 22:07:29 +0100

apt-listchanges (3.14) unstable; urgency=low

  * Add  `--no-network' option that can be used to disable calls to
    `apt-get changelog' (closes: #866583) and document it in the man page.
  * Rework handling of the LESS variable: instead of overriding it, detect
    if it contains harmful settings, and try to disable them by appending
    `-+E' or `-+F' options (closes: #867144).
  * Improve handling of configuration file by debconf-helper.py:
    + refactor the script and prepare for further changes;
    + increase priority of the `apt-listchanges/which' question to medium;
    + set the debconf's `seen' flag for items that already exist in the
      configuration file;
  * Add debconf support for the following configuration options:
    `--no-network', `--reverse' (closes: #707668), `--headers',
    and `--email-format'. Re-order the debconf questions.
  * Depend on python3-debconf (closes: #867126) and check if the debconf
    module can be successfully imported before running debconf-helper.py
    in debian/config.
  * Remove the `-k 60' option from po4a.cfg to disable generation of
    outdated Spanish and Italian man pages (closes: #842996).
  * Fix a typo in man page and unfuzzy translations.
  * Update README.Debian and the man page to make it clear that in the
    default installations only the NEWS entries are displayed during
    upgrades (LP: #1662550).
  * Update *.pot and .*.po files.
  * Update Polish translations.
  * Add debian/NEWS entry for the recent changes.

 -- Robert Luberda <robert@debian.org>  Sun, 09 Jul 2017 10:11:29 +0200

apt-listchanges (3.13) unstable; urgency=low

  * Fix changelog parser to mark files as being in the Debian changelog
    format *before* checking if the latest version has been seen already.
  * Refactor apt-listchanges.py to remove duplicated code.
  * Rewrite main loop of program in order to limit a number of calls to
    `apt-get changelog':
    1. First group packages by the source package and next process all binary
       packages from the same source package at once.
    2. Sort the  packages in each group by their binary versions descending.
    3. Exclude those of them whose versions were already seen or are lower
       (except for the binnmu suffix) than the maximal version, i.e. the
       version of the first package in the group.
    4. Process the remaining packages until valid changelog or news entries
       are found, and call `apt-get changelog' on the first package if and
       only if no such changelog entries are found, and apt-listchanges is
       not configured to display the news entries only.
  * Override the LESS environment variable to make sure it does not contain
    certain flags like -F that might cause less program to quit before even
    user is able to see the files generated by the program.
  * Fix an issue with showing changelog entries with unrecognised urgencies
    (see #866358): map such an urgency to a non-zero value and use proper
    `is None' check for testing the mapped value.
  * Fix an exception, introduced in 2.87,  occurring when the `--since' option
    is used with the invalid number of `.deb' files. Clarify the error message
    shown in such a case.
  * In the `--verbose' mode when apt-listchanges is configured to display
    `news' only append the informational notes to the news entries instead
    of creating changelog entries.
  * Don't permit `--since' and `--show-all' to be used together. Also make
    sure that passing one of them in the command line overrides any eventual
    config file setting related to the other one.
  * Fix a spelling typo in `retrieve' (closes: #866644).

 -- Robert Luberda <robert@debian.org>  Sat, 01 Jul 2017 13:30:25 +0200

apt-listchanges (3.12) unstable; urgency=low

  * Upload to unstable.
  * Fix a bug in the `skipping reading other changelog files when all the
    entries were filtered out' functionality introduced in version 3.3:
    if the currently parsed file is not in the Debian changelog format,
    than return an empty urgency from the changelog parser so that remaining
    files are not omitted.
  * Call python3 from /usr/bin in postinst and config scripts, as otherwise
    the scripts might fail to load the debconf.py module (closes: #855069).
  * Makefile: add support for DEB_BUILD_OPTIONS=nodoc.
  * Standards-Version: 4.0.0.

 -- Robert Luberda <robert@debian.org>  Thu, 22 Jun 2017 22:37:01 +0200

apt-listchanges (3.11~exp1) experimental; urgency=low

  * Apply patch from Ubuntu to use the `apt-get changelog' command if the
    extracted package does not provide changelog file.
  * Enhance the above patch:
    + call `apt-get' with the `-qq' option, so that it won't put additional
      lines at the top of changelog that prevented apt-listchanges from
      recognizing it as valid Debian changelog;
    + fix invalid python2 syntax in exception handler;
    + set timeout (120 seconds) for the apt-get command, just in case;
    + capture stderr of apt-get and display it as part of apt-listchanges'
      error message.

 -- Robert Luberda <robert@debian.org>  Sat, 29 Apr 2017 00:24:48 +0200

apt-listchanges (3.10) unstable; urgency=medium

  * Add German translation of man page (closes: #858169).
    Thanks to Chris Leic.

 -- Robert Luberda <robert@debian.org>  Mon, 10 Apr 2017 23:14:07 +0200

apt-listchanges (3.9) unstable; urgency=medium

  * Update French translations of both man page (closes: #852463),
    and program (closes: #852533). Thanks to Jean-Pierre Giraud.

 -- Robert Luberda <robert@debian.org>  Sun, 05 Feb 2017 09:08:17 +0100

apt-listchanges (3.8) unstable; urgency=medium

  * Switch documentation format from DocBook SGML to DocBook XML for proper
    support of UTF-8 characters that appear in translated documents.
  * Fix a few typos in English man page and unfuzzy translations.
  * Add Polish translation of documentation.

 -- Robert Luberda <robert@debian.org>  Thu, 22 Dec 2016 17:41:51 +0100

apt-listchanges (3.7) unstable; urgency=medium

  * Open uncompressed changelogs in binary mode (closes: #847414).

 -- Robert Luberda <robert@debian.org>  Sat, 10 Dec 2016 23:22:12 +0100

apt-listchanges (3.6) unstable; urgency=medium

  * Update Dutch translation (closes: #841119).

 -- Robert Luberda <robert@debian.org>  Sat, 19 Nov 2016 09:14:14 +0100

apt-listchanges (3.5) unstable; urgency=medium

  * Do not try to re-open stdin if it is not needed (closes: #837947).
  * Force "text" frontend and disable confirmations when the frontend
    was set by the environment to "gtk", but the python3-gi module
    cannot be loaded. Thanks to synaptic shouldn't appear to hang any
    more (closes: #836433).
  * Bump dephelper's compat version to 10.

 -- Robert Luberda <robert@debian.org>  Sun, 09 Oct 2016 18:26:07 +0200

apt-listchanges (3.4) unstable; urgency=high

  * Fix the security issue introduced in version 3.2: make config and postinst
    scripts create new directory (with the help of `mktemp') for the helper
    Python script they execute (closes: #837534).
  * When aptitude/synaptic/etc. is used to install new upgrades without being
    restarted after apt-listchanges upgrade, it might happen that the value
    of APT_HOOK_INFO_FD is still 0. Do not fail on such a value, but display
    a warning instead (closes: #835046, LP: #1614191).
  * Print a warning message if an e-mail cannot be sent (closes: #835375).

 -- Robert Luberda <robert@debian.org>  Mon, 12 Sep 2016 22:47:40 +0200

apt-listchanges (3.3) unstable; urgency=medium

  * Upload to unstable.
  * postinst.in: don't call ucf when the new configuration file differs in
    whitespaces only (closes: #823514).
  * Update Dutch translation (closes: #823974).
  * Introduce simple ALCLog class for consistent logging.
  * Rename ALSeen.py into ALCSeen.py.
  * More improvements of changelog files parsing:
    + don't try to parse `changelog.gz' file when `changelog.Debian.gz' was
      successfully read, but all its entries were filtered out (e.g. because
      they had already been seen, what can happen while processing binNMU-ed
      packages);
    + also stop reading changelog file if the first non-empty line does
      not contain valid Debian changelog header;
  * Drop support for ancient *.deb files:
    + don't look for changelog files in `/usr/doc' directories;
    + assume all paths in tarballs created by `dpkg-deb --fsys-tarfile'`
      will start with the `./' prefix.
  * Regenerate *.pot and *.po files.
  * Update Polish translation.
  * Update debian/NEWS with a summary of the changes in versions 3.x.

 -- Robert Luberda <robert@debian.org>  Mon, 15 Aug 2016 21:55:31 +0200

apt-listchanges (3.2) experimental; urgency=medium

  * Improve parsing of changelog entries: ignore Emacs stuff and comments
    (closes: #336739), and try to recognize ancient changelog headers, so that
    they are shown in the proper order when `--reverse --show-all' is used.
  * Handle a few signals in apt-listchanges, and update the exit status check
    in the apt config file to break the installation  not only when the status
    is equal to 10, but also when it is greater than 10 (closes: #816054).
  * Move the code responsible for reading apt pipeline to new ALCApt module,
    refactor it, and add support for reading from file descriptor given in
    $APT_HOOK_INFO_FD instead of stdin.  This requires InfoFD option to be
    set in the apt configuration file.
  * Avoid reopening /dev/tty when stdin/stdout is already attached to terminal,
    make ttyconfirm use Python's input() method instead, so that it should work
    correctly when 'su -c apt-get' is used for upgrades (closes: #663738).
  * Use named arguments in format strings to fix gettext warnings.
  * Rework debconf handling not to use debconf as a registry (closes: #521403).
    Introduce debian/debconf-helper.py, that gets inlined into postinst
    and config, and use configparser module for reading and writing our
    configuration file.

 -- Robert Luberda <robert@debian.org>  Sat, 30 Apr 2016 15:37:50 +0200

apt-listchanges (3.1) experimental; urgency=medium

  * Drop root privileges when running commands spawned by browser,
    xterm-browser, and xterm-pager frontends (closes: #456454):
    + a non-privileged user is selected by examining the APT_LISTCHANGES_USER,
      SUDO_USER, and USERNAME environment variables;
    + if temporary directory name ends with '/0', then it is modified to end
      with '/<uid-of-new-user>';
    + a few environment variables (HOME, SHELL, LOGNAME, TMPDIR, etc.)
      are updated;
    + os.spawnl() call was replaced with subprocess.Popen() with its env, and
      preexec_fn params set properly (BTW. this also mean that shell is no
      longer involved in running the commands).
    All the above steps are needed, because `su -c' cannot be used, because it
    detaches from the controlling terminal...
    The pager frontend still runs its command as root, so that it can be usable
    in case of any errors in the implementation of the above logic.

  * Update man page for the above change. Apply some other minor fixes to it.
  * Close temporary files explicitly to have a chance to ignore an error when
    the file has been removed already (closes: #772663).
  * Exit with an error when invalid command line option is given.
  * Permit '+' character in e-mail address while converting output to html.

  * Move the code responsible for handling the seen database to new ALSeenDb.py
    module and:
    + handle the fact that ndbm in python3 adds the '.db' extension by itself,
      and update the postinst script to rename the spurious '.db.db' file
      created by version 3.0  (closes: #820732);
    + increase reliability of saving database changes, and store the previous
      version of the database in 'listchanges-old.db', also update the postrm
      script for the new file;
    + add '--dump-seen' option to display the contents of the database to
      stdout, and mention NFS-sharing in README.Debian (closes: #658444).

  * Mention `NEWS and/or changelog' in README.Debian (closes: #743366), and
    update the description of both the algorithm and recovery procedure.
  * Standards-Version: 3.9.8.

 -- Robert Luberda <robert@debian.org>  Sun, 17 Apr 2016 23:29:25 +0200

apt-listchanges (3.0) experimental; urgency=low

  * Switch to python3 (closes: #796061).
    Merge James Lu's changes from his GitHub repository given in the
    bug report. Apart from the basic python3 syntax related updates,
    the change include replacing python-gtk2 and python-glade2 code
    with python3-gi for gtk frontend;
  * Use gettext() instead of lgettext() as a fix (or work-around)
    for an issue with python3 concatenating or not concatenating
    bytes to string depending on the current locale (see #818728).
  * Fix mail fronted to use 8bit encoding rather than base64 one.
    This requires python3 >= 3.5 for subprocess.run().
  * Apply more python3 fixes for exceptions occurring in legacy,
    non-UTF8 locales.
  * Enhance GTK frontend to display different labels for news
    items and changelogs.
  * Display titles in all other frontends as well (closes: #341917).
    Also make sure xterm-based frontends use the same settings as
    their console-based equivalents.
  * Handle local apt repositories with spaces in path (closes: #534434).
  * Fallback to non-xterm frontends when $DISPLAY is not set.
  * Drop support for deprecated frontends like w3m.
  * debian/control:
    + rename X-Python-Version control field to X-Python3-Version
      to get correct dependency on python3;
    + move dh-python from Build-Depends-Indep to Build-Depends,
      it is needed for the clean target due to `dh --with python3';
    + sort dependency fields with the wrap-and-sort command.

 -- Robert Luberda <robert@debian.org>  Sun, 10 Apr 2016 20:33:32 +0200

apt-listchanges (2.89) unstable; urgency=medium

  * Fix the 'none' frontend broken since version 2.86.
  * Introduce --select-frontend option for testing purposes
    to validate different frontends before release.
  * Quit early in the apt mode if there are no packages
    to process (this partially fixes #514865).
  * Standards-Version: 3.9.8 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 09 Apr 2016 21:37:50 +0200

apt-listchanges (2.88) unstable; urgency=medium

  * Fix build reproducibility by forcing LC_ALL=C for docbook-to-man calls.
  * Update the previous debian/NEWS entry to mention renamed options.

 -- Robert Luberda <robert@debian.org>  Sun, 03 Apr 2016 10:09:23 +0200

apt-listchanges (2.87) unstable; urgency=medium

  * Use po4a for handling translations of man pages:
    + convert existing translations to *.po files, and unfuzzy them;
    + incorporate minor update of French man page by Alexandre Detiste
      from bug#796061;
    + make sure the Italian translation is actually installed;
    + update Makefiles, and add build dependency on po4a.
  * Fix encoding of non-ASCII mails (closes: #604922).
  * Convert http(s) and ftp(s) URLs into links in the browser frontend
    (closes: #587399). Additionally do the same CVE/CAN identifiers,
    and switch to using https for the Debian BTS links.
  * Introduce the --email-format option to optionally send mails in
    the HTML format (closes: #689731).
  * Rename the --save_seen option to --save-seen to match names of
    other command line options that contain hyphens rather than
    underscores (closes: #707667). Also rename --all to --show-all
    to match the name of the configuration file option. (Both older
    options are supported for backward compatibility, but no longer
    documented in the man page).
  * Enhance apt-listchanges(1) man page:
    + describe the format of the configuration file together with
      possible values of boolean options (see #707667);
    + document that browser, pager, and xterm settings can include
      arguments (closes: #784781);
    + disambiguate description of changes ordering (closes: #594844).
  * Introduce --ignore-apt-assume option to disable switching into
    non-interactive mode in case of `apt-get -y' (closes: #818712).
  * Switch to the non-interactive mode when DEBIAN_FRONTEND environment
    variable is set to "noninteractive". Add --ignore-debian-frontend
    to disable this.
  * Validate package names command line arguments (closes: #522700).
  * Try to prompt for confirmation when exception occurs (closes: #479530).
  * Update Polish translation.
  * Cleanup debian/rules a bit.
  * Drop useless build-dependency on libexpat1-dev.
  * Add debian/NEWS entry for recent changes.

 -- Robert Luberda <robert@debian.org>  Sat, 02 Apr 2016 20:24:43 +0200

apt-listchanges (2.86) unstable; urgency=medium

  * New maintainer (closes: #813245).
  * Merge binnmu entries with regular ones, not to display the low urgency
    binnmus before other possibly more important entries (closes: #746428).
  * If at least one package is being upgraded, do not ignore newly installed
    packages to try to support cases when /u/s/doc/package directory changes
    into symlink to another package built from the same source.
  * Check if filenames dict contains package name key before deleting it to
    avoid exception (closes: #757203).
  * Print "Reading changelogs" into stdout, not stderr (closes: #789160).
  * Do not override the mail fronted with text when quiet mode is set and
    the mail frontend is usable (closes: #502347, #788059).
  * Handle the '--assume-yes' option of apt-get by using non-interactive
    frontend and disabling confirmation (closes: #687443, LP: #788519),
    and fix exception occurring on non-int value while parsing apt
    'quiet=' line (closes: #604130).
  * Switch debian/copyright to the DEP-5 format.
  * debian/copyright:
    + use https for Vcs-* fields, and link to cgit rather than gitweb;
    + remove remaining uploader;
    + bump Standards-Verrsion to 3.9.7 (no changes).

 -- Robert Luberda <robert@debian.org>  Thu, 17 Mar 2016 23:35:12 +0100

apt-listchanges (2.85.14) unstable; urgency=medium

  * Acknowledge NMU; thanks to Ben Hutchings for it; Closes: #718770, #733921,
    #742826
  * Force quite mode when not running in a TTY; thanks to Micah Anderson for the
    report and to Thomas Parmelan for the patch; Closes: #610012
  * Bump debhelper compat to 9
  * Use dpkg-parsechangelog --show-field
  * convert d/rules to DH sequencer
  * Switch to dh_python2; Closes: #785943
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 06 Jun 2015 20:24:29 -0400

apt-listchanges (2.85.13+nmu1) unstable; urgency=medium

  [ Ben Hutchings ]
  * Non-maintainer upload

  [ Chris Boot ]
  * Use the package's Architecture field when looking for binNMU changelogs.
    This removes the use of dpkg-architecture and thus the dependency on
    dpkg-dev. Closes: #718770, #733921

  [ Sergey Alyoshin ]
  * Add .glade file to translation and use xgettext
  * Mark message as translatable in .glade file
  * Update Russian translation; Closes: #742826

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 12 Oct 2014 23:46:51 +0100

apt-listchanges (2.85.13) unstable; urgency=low

  * Add missing dep on dpkg-dev, required to run dpkg-architecture; thanks to
    Ben Armstrong for the report; Closes: #733825
  * Fixed grammar in debconf Italian text; thanks to Riccardo Boninsegna for the
    report and to Luca Monducci for the patch; Closes: #709222

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Jan 2014 15:59:35 +0100

apt-listchanges (2.85.12) unstable; urgency=low

  * Update the program Spanish PO file; thanks to Javier Fernandez-Sanguino;
    Closes: #686426
  * Handle new format of binNMUs; thanks to Thorsten Glaser for the report and
    to Simon Ruderich for the patch; Closes: #718770
  * Add missing newline in the debconf passthrough frontend output; thanks to
    José Manuel Santamaría Lema for the report and patch; Closes: #693805
  * bump Standards-Version to 3.9.5 (no changes needed)
  * Use Alioth canonical URLs

 -- Sandro Tosi <morph@debian.org>  Sun, 29 Dec 2013 13:31:26 +0100

apt-listchanges (2.85.12~exp1) experimental; urgency=low

  [ Julien Cristau ]
  * [022b79c] apt-listchanges: debconf passthrough frontend for use with
    packagekit; Closes: #678311

  [ Sandro Tosi ]
  * [7bbe068] don't show changes only for packages configured early; thanks to
    Zack Weinberg for the patch; Closes: #573013

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Aug 2012 01:20:55 +0200

apt-listchanges (2.85.11) unstable; urgency=low

  * Don't use _() if we can't set requested locale; thanks to Ansgar Burchardt
    for the report and to Stuart Prescott for the patch; Closes: #602176
  * While parsing APT output, only return packages that are being installed, and
    not simply configured; thanks to Stuart Prescott for the analysis and the
    patch: Closes: #672230

 -- Sandro Tosi <morph@debian.org>  Sat, 30 Jun 2012 12:36:34 +0200

apt-listchanges (2.85.10) unstable; urgency=low

  [ Pierre Habouzit ]
  * Remove myself from Maintainer/Uploader as I won't work on it anymore, put
    Sandro in charge, since well, it just makes reality official.

  [ Josh Triplett ]
  * Avoid throwing an exception when sendmail does not exist. (Closes: 666086)
  * Move mail-transport-agent from Recommends to Suggests. (Closes: 599667)
  * Change exim4 to default-mta in Suggests.

  [ Sandro Tosi ]
  * Bump Standards-Version to 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Jun 2012 12:32:07 +0200

apt-listchanges (2.85.9) unstable; urgency=low

  * Add helpful message to exit from less; thanks to Stuart Prescott for report
    and patch; Closes: #633645
  * use _render() to show test in GTK frontend; Closes: #551537
  * add --since and --reverse to manpage; thanks to Rogério Brito for the
    report; Closes: #620548
  * bump Standards-Version to 3.9.2 (no changes needed)
  * fix build* targets
  * add source format + compression options
  * added Auto-Submitted header to mails; thanks to Lee Maguire for the report;
    Closes: #641228
  * Add the debconf Slovak PO file; thanks to Slavko for the patch;
    Closes: #614207

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Feb 2012 21:32:26 +0100

apt-listchanges (2.85.8) unstable; urgency=low

  * Update the debconf Danish PO file; thanks to Joe Dalton; Closes: #610566
  * Don't skip the very first entry when the NEWS file is added; thanks to Ryo
    IGARASHI for the report and to Robert Luberda for the patch; Closes: #590541

 -- Sandro Tosi <morph@debian.org>  Tue, 31 May 2011 11:57:14 +0200

apt-listchanges (2.85.7) unstable; urgency=low

  * Update the program Catalan PO file; thanks to Jordi Mallach; Closes:
    #606799

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Dec 2010 21:27:48 +0100

apt-listchanges (2.85.6) unstable; urgency=low

  * Update the program Danish PO file; thanks to Joe Dalton; Closes:
    #602226
  * Update the program Catalan PO file; thanks to Jordi Mallach
  * make postrm be idempotent; thanks to Gonzalo Pérez de Olaguer
    Córdoba; Closes: #602742
  * Update PO Debconf Chinese (traditional) translation; thanks to Asho
    Yeh

 -- Sandro Tosi <morph@debian.org>  Tue, 16 Nov 2010 22:20:39 +0100

apt-listchanges (2.85.5) unstable; urgency=low

  * Update the program French PO file, and revert the wrongly changed
    Debconf PO file; really Closes: #593224

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Sep 2010 23:11:15 +0200

apt-listchanges (2.85.4) unstable; urgency=low

  [ Pierre Habouzit ]
  * make apt-listchange interruptible by ^C (Closes: #456271)
  * Use pythonism to guess the encoding to use (Closes: #511448) -
    thanks to Joerg Woelke <joewoe@fsmail.de>

  [ Sandro Tosi ]
  * Updated French translation; thanks to Christian Perrier; Closes:
    #593224

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Sep 2010 15:19:16 +0200

apt-listchanges (2.85.3) unstable; urgency=low

  [ Pierre Habouzit ]
  * Make apt-listchanges guess about binNMUs again; Closes: 590989

  [ Sandro Tosi ]
  * debian/README.Debian
    - reported the workaround used to recover from situation like in #587952;
      we can't do anything else but to document it, so this also Closes: #587952
  * debian/control
    - remove Matt Zimmerman from Uploaders: thx for your work! Closes: #521476

 -- Sandro Tosi <morph@debian.org>  Fri, 06 Aug 2010 17:13:16 +0200

apt-listchanges (2.85.2) unstable; urgency=low

  * apt-listchanges no longer supposes that binary packages all have the same
    version for a given source package; Closes: #525978, #491306

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 19 Jul 2010 11:15:50 +0200

apt-listchanges (2.85.1) unstable; urgency=low

  * apt-listchanges/DebianFiles.py
    - add an empty line (if missing) only if there's something to display;
      thanks to Julien Cristau for the report; Closes: #587957

 -- Sandro Tosi <morph@debian.org>  Mon, 05 Jul 2010 21:02:52 +0200

apt-listchanges (2.85) unstable; urgency=low

  * debian/control
    - added myself to Uploaders
    - removed b-d-i for python-dev, not needed for building the package
    - bump Standards-Version to 3.9.0 (no changes needed)
  * debian/{config, preinst}
    - add 'set -e' explicitly, and not only in the shebang
  * po/ar.po
    - added Arabic translation; thanks to Ossama Khayat for the report and
      patch; Closes: #501636
  * apt-listchanges.py, apt-listchanges/DebianFiles.py, debian/control
    - update for upcoming python-apt API transition; thanks to Julian Andres
      Klode for the report and patch; Closes: #572062
  * debian/copyright
    - refer to GPL-2 local license file
  * apt-listchanges.es.sgml
    - use escape sequence instead of apex in 'save_seen' description
  * debian/README.Debian
    - fix a typo; thanks to Paul Menzel for report and patch; Closes: #516141
  * po/et.po
    - updated Estonian translation; thanks to Ivar Smolin for the report and
      patch; Closes: #576325
  * apt-listchanges/DebianFiles.py
    - add a blank line at the end of NEWS entry (if it's not already there);
      thanks to Martin Michlmayr for the report and to Morita Sho for the patch;
      Closes: #247356

 -- Sandro Tosi <morph@debian.org>  Fri, 02 Jul 2010 00:27:28 +0200

apt-listchanges (2.84) unstable; urgency=low

  [ Christian Perrier ]
  * Fix typo in Polish translation. Closes: #510618

  [ Thadeu Lima de Souza Cascardo ]
  * Introduce the --reverse option to list entries in the reverse order.
    Closes: #172113:

 -- Thadeu Lima de Souza Cascardo <cascardo@minaslivre.org>  Mon, 04 Jan 2010 12:17:21 -0200

apt-listchanges (2.83+nmu1) unstable; urgency=low

  * Non-maintainer upload with maintainer's agreement
    (he likes living dangerously)

  [ Pierre Habouzit ]
  * Apt-listchanges moves to collab-maint.

  [ Christian Perrier ]
  * Catalan (Jordi Mallach).  Closes: #548654
  * Fix pending l10n issues. Program translations:
    - Simplified Chinese. Closes: #501042
    - Brazilian Portuguese. Closes: #501637
  * Fix pending l10n issues. Debconf translations:
    - Brazilian Portuguese (Felipe Augusto van de Wiel (faw)).
      Closes: #501639
  * Add ${misc:Depends} to dependencies to properly
    deal with dependencies implied by some debhelper
    utilities. As a consequence, drop the dependency on
    debconf.

 -- Christian Perrier <bubulle@debian.org>  Tue, 29 Sep 2009 23:16:26 +0200

apt-listchanges (2.83) unstable; urgency=low

  [ Christian Perrier ]
  * Fix extra space before exclamation mark in an error
    message. Translations unfuzied.
  * Fix extra question mark in one string. Translations
    unfuzzied and fixed when they had two question marks too.
  * Programs translation updates:
    - French. Closes: #469248
    - Estonian. Closes: #500979
    - Basque. Closes: #501010
    - Traditional Chinese. Closes: #501034
    - Simplified Chinese. Closes: #501039
    - Swedish. Closes: #501051
    - Japanese. Closes: #501530
    - Czech. Closes: #501212
    - Italian. Closes: #501238
    - German. Closes: #501265
    - Russian. Closes: #501469
    - Portuguese. Closes: #501494
    - Polish. Closes: #501496
    - Dutch. Closes: #501621
  * Debconf translations:
    - Swedish. Closes: #492092
    - Simplified Chinese. Closes: #501039
    - Polish. Closes: #501296
  * Russian. Closes: #501469

  [ Pierre Habouzit ]
  * Fix the Vcs-* header to add the missing "apps/" in it.
  * Thanks a lot to Christian for his invaluable help and the 23 patches he
    sent me.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 09 Oct 2008 11:29:41 +0200

apt-listchanges (2.82) unstable; urgency=high

  * fix a potential security issue in apt-listchanges import paths, thanks for
    Felipe Sateler for the heads up.
  * update de.po thanks to Helge Kreutzmann (Closes: 456238).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 14 Jan 2008 09:39:05 +0100

apt-listchanges (2.81) unstable; urgency=low

  * debian/control: Bump priority to standard, as discussed on debian-devel,
    and don't recommend python-{glade,gtk} because of that (Closes: 459258).
  * Check for the .glade file existence before passing it to glade, to avoid
    spurious error messages (Closes: 454161).
  * Update po/eu.po from Piarres Beobide (Closes: 419673 for real this time).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 08 Jan 2008 23:48:11 +0100

apt-listchanges (2.80) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    English team as part of the Smith review project. Closes: #455772
  * [Debconf translation updates]
  * Japanese. Closes: #455864
  * Basque. Closes: #455885
  * Galician. Closes: #455984
  * German. Closes: #456238
  * Portuguese. Closes: #456364
  * Norwegian Bokmål. Closes: #456397
  * Spanish. Closes: #456412
  * Italian. Closes: #456511
  * Vietnamese. Closes: #457310
  * Czech. Closes: #457676
  * Finnish. Closes: #457779
  * Russian. Closes: #457874
  * Dutch; Flemish. Closes: #458310
  * French. Closes: #458513
  * Japanese. Closes: #455864

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 06 Jan 2008 11:44:16 +0100

apt-listchanges (2.79) unstable; urgency=medium

  * Force locale to C if Python does not groks the locale at all
    (Closes: 455811)
  * Force unicode for subject (Closes: 455704).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 12 Dec 2007 11:33:34 +0100

apt-listchanges (2.78) unstable; urgency=medium

  * Stupid typo in the apt_listchanges module, for the mail front-end.
    (Closes: 455474).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 10 Dec 2007 17:45:36 +0100

apt-listchanges (2.77) unstable; urgency=low

  * Clean up debian/preinst: removing the pyo/pyc was needed for sarge -> etch
    upgrades only.
  * Bump Standards-Version to 3.7.3, no changes required.
  * Fix the email header encoding issue, it's not a Python bug after all
    (Closes: 391014).
  * Document the gtk frontend in the manpage (Closes: 452500).
  * Fix the postrm that checked for ucf presence the wrong way
    (Closes: 440384).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 09 Dec 2007 18:03:50 +0100

apt-listchanges (2.76) unstable; urgency=low

  * Add patch from Michael Vogt to support launchpad bug numbers
    (Closes: 451995, 454581).
  * Add patch from Felipe Sateler to have a better title to html output
    (Closes: 431501).
  * Add po/eu.po from Piarres Beobide (Closes: 419673).
  * Update debian/po/fr.po thanks to Christian Perrier (Closes: 452482).
  * Update debian/po/nl.po thanks to Frans Pop (Closes: 453932).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 06 Dec 2007 14:54:58 +0100

apt-listchanges (2.75) unstable; urgency=low

  * Recode po files in utf-8 (Closes: 391014).
  * Fail gracefully if the database cannot be loaded (Closes: 444478).
  * Fail gracefully if on Ubuntu with braindead locales (Closes: 431364).
  * apt-listchanges on Debian gains a new gtk front-end (Closes: 451845),
    thanks to Michael Vogt.
  * debian/control: add the vcs-* headers so that no one can pretend he cannot
    send patches.
  * fix wrong path in the .es documentation (good eyes lintian !).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 18 Nov 2007 23:40:24 +0100

apt-listchanges (2.74) unstable; urgency=low

  * binNMUs were not shown because we tracked source packages versions, and
    not binary package ones (Closes: 423371).
  * Document apt-listchanges internals (Closes: 411075).

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 18 Jun 2007 15:22:43 +0100

apt-listchanges (2.73.3) unstable; urgency=low

  * It seems that even if present, /dev/tty cannot always be opened, fall back
    to a brute force try/except block (Closes: 311919).

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 11 May 2007 23:12:05 +0200

apt-listchanges (2.73.2) unstable; urgency=low

  * Only open /dev/tty if present (Closes: 311919), properly this time.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 19 Apr 2007 23:42:19 +0200

apt-listchanges (2.73.1) unstable; urgency=low

  * Only open /dev/tty if present (Closes: 311919).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 19 Apr 2007 12:07:47 +0200

apt-listchanges (2.73) unstable; urgency=low

  * Fix a problem in how configuration file is handled with ucf, thanks to
    Franck Küster (Closes: 393470, 393886, 412925).

  * Fix a problem with applications running in a terminal, thanks to Justin
    Pryzby (Closes: 343423).

  * Fix buggy man pages wrongly stating that --which=both was default whereas
    it's --which=news (Closes: 417931):
     + [es] update thanks to Martin Ferrari.
     + [it] update thanks to Francesco Pedrini.

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 11 Apr 2007 01:34:18 +0200

apt-listchanges (2.72.5) unstable; urgency=low

  * Fix a typo in the preinst: .pyo -> .pyc, thanks to Marc Brockschmidt.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 18 Feb 2007 23:39:32 +0100

apt-listchanges (2.72.4) unstable; urgency=low

  * Big l10n upload, thanks to many contributors, especially Christian
    Perrier, Frans Pop and Jens Seidel. (Closes: 411340, 410544).
  * preinst: rm -f ... || true is useless.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 18 Feb 2007 21:18:02 +0100

apt-listchanges (2.72.2) unstable; urgency=low

  * Remove useless pt_PT.po (Closes: 408880).
  * Update nl.po thans to Frans Pop (Closes: 410544).
  * Remove old .pyo/.pyc from quite older packages (Closes: 397107).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 13 Feb 2007 10:43:11 +0100

apt-listchanges (2.72.1) unstable; urgency=low

  * Add Czech debconf messages thanks to Miroslav Kure (Closes: 407827).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 21 Jan 2007 21:09:00 +0100

apt-listchanges (2.72) unstable; urgency=high

  * Fix missing import in DebianFiles.py, thanks to Julián Hernández Gómez.
    (Closes: 400744).

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 28 Nov 2006 15:41:16 +0100

apt-listchanges (2.71) unstable; urgency=low

  [ Fixes ]

  * Hack function _(x) so that it works even with LANGUAGE set and LC_CTYPE
    set to C (Closes: #397108). It can lead to curious half translated
    messages, but say that to Python locale handling that is completely
    braindead.

  * Update program's fr.po thanks to Christian Perrier (Closes: 393621).
  * Update Portuguese debconf template translations thanks to Rui Branco
    (Closes: 396643).

  [ Packaging ]

  * Simplify debian/config from old cruft from 1.x series.
  * Update debian/copyright.

  [ Library ]

  * DebianControl* classes are renamed into Control*.
  * Move Packages, Changes classes (and Control* ones) into DebianFiles.py.
  * Move Config to ALCConfig.py.
  * Add copyright statements in .py's.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 28 Nov 2006 00:21:20 +0100

apt-listchanges (2.70) unstable; urgency=low

  [ Damien Laniel ]
  * Fixed the postrm script to remove /etc/apt/listchanges.conf on purge
    and rewrote the test for ucf existence (was using "which" which isn't
    essential)
  * Fixed the postinst script not to use ucf if /etc/apt/listchanges.conf
    doesn't exist, ie was purged

  [ Pierre Habouzit ]
  * Use Damien's patch that also should fix the `code 10 ` postinst problem.
    (Closes: 391628, 390997)

 -- Pierre Habouzit <madcoder@debian.org>  Sat,  7 Oct 2006 22:00:54 +0200

apt-listchanges (2.69) unstable; urgency=low

  * Final upload targeting etch, the l10n upload:
    + fr.po thanks to Christian Perrier (Closes: 390979),
    + es.po thanks to Javier Fernández-Sanguino Peña (Closes: 391114).

 -- Pierre Habouzit <madcoder@debian.org>  Sat,  7 Oct 2006 17:39:53 +0200

apt-listchanges (2.68) unstable; urgency=low

  * Fix the mail instantiation, thanks to Daniel Lublin (Closes: 391016).

 -- Pierre Habouzit <madcoder@debian.org>  Wed,  4 Oct 2006 12:06:34 +0200

apt-listchanges (2.67) unstable; urgency=low

  * Fix confirm behaviour, broken in 2.65 upload (Closes: 390784).

 -- Pierre Habouzit <madcoder@debian.org>  Tue,  3 Oct 2006 10:01:27 +0200

apt-listchanges (2.66) unstable; urgency=low

  * Remove cruft in postinst for versions older than sarge ones.
  * Remove /var/lib/apt/listchanges.db at purge (Closes: 319603).
  * Use 8bit encoding for the mails, so that they are greppable again
    (Closes: 211714)
  * If we are hit by a signal, abort with exit 10, making the upgrade fail.
    (Closes: 338717, 301604)

 -- Pierre Habouzit <madcoder@debian.org>  Mon,  2 Oct 2006 23:09:47 +0200

apt-listchanges (2.65) unstable; urgency=low

  * Change confirm semantics: negative value means confirmation cannot be run.
    Assume we don't want to save our state in that case, and proceed as usual
    (Closes: 311919, 355399).

  * Use more clever regexps (even sub regexps!) to recognize Closes: 316531
    correctly (the recursion is a courtesy of Christoph Berg).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 28 Sep 2006 14:21:41 +0200

apt-listchanges (2.64) unstable; urgency=low

  * Be less strict on rfc822-like parse, accept continuation lines starting
    with \t (Closes: 388861).

  * Italian translations thanks to Luca Monducci (Closes: 384805):
    + man page,
    + debconf template,
    + program translations.

  * French translations thanks to Christian Perrier
    (Closes: 386808, 386807, 387223).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 24 Sep 2006 16:15:59 +0200

apt-listchanges (2.63) unstable; urgency=low

  * When run in locale 'C', the code fails because getlocale()[1] is None.
    default to 'ascii' in that case, that is the sole sane choice, user has to
    set his locale if that does not suits him. (Closes: #384413, #384574).

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 26 Aug 2006 03:45:58 +0200

apt-listchanges (2.62) unstable; urgency=low

  * templates translations:
    + update gl.po thanks to Jacobo Tarrio.
    + update ca.po thanks to Jordi Mallach (Closes: #383980).
    + update pt.po thanks to Rui Pedro.
    + update nl.po thanks to Bart Cornelis.
    + update fr.po thanks to Denis Barbier.

  * More Python simplifications.

  * Fix bug in html generation (generated html was obviously invalid).

  * Only Recommend an MTA as it's not needed using pager. (Closes: #384165)

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 23 Aug 2006 13:11:59 +0200

apt-listchanges (2.62~experimental1) experimental; urgency=low

  * Experimental upload as there is quite many changes, and that I'm waiting
    for more translations to come in.

  * debian/templates, use Christian Perrier's patch to make templates more
    compliant to usual practices (Closes: #346053).
    + update sv.po thanks to Daniel Nylander.
    + add    pt.po thanks to Rui Pedro.
    + update fi.po thanks to Tommi Vainikainen.
    + update da.po thanks to Claus Hindsgaul (Closes: #382537).
    + update ja.po thanks to Kenshi Muto (Closes: #382600).
    + update vi.po thanks to Clytie Siddall.
    + update de.po thanks to Helge Kreutzmann.
    + update es.po thanks to Ricardo Mones.
    + update zh_TW.po thanks to Asho Yeh.

  * Encoding problems:
    + Switch to python2.4 to use lgettext instead of gettext
      (Closes: #238203, #309470, #318581).
    + Use current locale to display the changelogs, based on a patch from
      Michael Piefel (Closes: #199318, #215045).
    + Specify encoding for the html generation (from the same patch).
    + Deal with badly encoded changelogs (assume latin1).

  * Be sure that seen_new is always defined (Closes: #294420).

  * Ignore when README.Debian/changelog.gz is a directory, just print a
    warning (Closes: #362896).

  * Don't exit because quiet level is '2', use mail instead (Closes: #309262).

  * Various code simplifications (using python2.4-isms).

  * Make apt-listchanges modules private, move things to apt-listchanges
    instead of apt_listchanges directory.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 20 Aug 2006 19:10:25 +0200

apt-listchanges (2.61) unstable; urgency=low

  * Packaging:
    + add a dependency on mail-transport-agent (Closes: #280892, #327590).
    + update depends upon debconf (Closes: #331748).
    + move apt-listchanges away if uninstalled, reinstate it in postinst
      (Closes: #237334, #262682)

  * l10n:
    + update de.po, thanks to Jens Seidel (Closes: #313665).
    + Fix error in French manpage PAGER -> BROWSER (Closes: #367624).

  * Features:
    + use /usr/bin/hostname instead of gethostname that uses uname, so that
      different chroots have different names (Closes: #257734).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 10 Aug 2006 21:28:36 +0200

apt-listchanges (2.60) unstable; urgency=low

  * Change of maintainer (and upstream):
    + put myself as maintainer.
    + put Matt into Uploaders (thanks for all your work on this package !).
    + ack NMUs (Closes: #251084, 259171, 260295, 260534, 262603, 280323,
      283357, 285440, 292739, 293594, 293594, 294948, 375300, 375953, 375956,
      380759)
    + update debian/copyright accordingly.
  * Python policy last touch:
    + do not use dh_python anymore.
    + .pyc are handled correctly (Closes: #133306).
  * Bump DH_COMPAT to 5.
  * Ensure ucf is here before purging in postrm (Closes: #315174).
  * apt-listchanges new translations:
    + Traditional Chinese thanks to Kanru Chen (Closes: #297242).
    + Czech thanks to Miroslav Kure (Closes: #327508).
  * apt-listchanges templates po:
    + Portuguese templates thanks to Miguel Figueiredo (Closes: #330195).
    + Swedish update thanks to Daniel Nylander (Closes: #332443, 375748).
    + Japanese update thanks to Junichi Uekawa (Closes: #318499).
    + Vietnamese thanks to Clytie Siddall (Closes: #308744).
  * BTS Patches:
    + Make more strings translateable thanks to Junichi too (Closes: #318496).
    + Fix pot file generation (Closes: #318498, 302548).
    + Fix frontend=none behaviour thanks to Colin Watson (Closes: #341845).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 10 Aug 2006 18:25:39 +0200

apt-listchanges (2.59-0.4) unstable; urgency=low

  * Non-maintainer upload with maintainer permission.
  * Update package to the new Python policy (Closes: #380759).
  * Bumping standards version to 3.7.2.
  * Put all the modules into an apt_listchange semi-public module.

 -- Pierre Habouzit <madcoder@debian.org>  Thu,  3 Aug 2006 08:31:17 +0200

apt-listchanges (2.59-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * add --wildcards to tar call (Closes: #375300, 375953, 375956).
  * Fix B-D-I/B-D wrt clean: target.
  * Fix old FSF address.

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  2 Jul 2006 16:51:25 +0200

apt-listchanges (2.59-0.2) unstable; urgency=medium

  * Non-maintainer upload for fixing l10n issues. Made
    with maintainer's agreement
  * Debconf translations:
    - Italian really added
    - Catalan updated. Closes: #292739
    - Galician updated. Closes: #294948
    - Polish updated.
    - Spanish updated.
  * Program translations:
    - Corrections to Spanish. Closes: #280323
    - One fuzzy strong corrected in Catalan
    - Remove Brazilian which was indeed a debconf translation
    - Moved Russian to debconf translation. It was in the programs translation
      directory by mistake

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Feb 2005 21:36:18 +0100

apt-listchanges (2.59-0.1) unstable; urgency=low

  * Non-maintainer upload for fixing l10n issues. Made
    with maintainer's agreement
  * Program translations:
    - The French mess is now sorted out. Closes: #285440, #260534
    - Fix the headers of the Finnish and Brazilian translations
    - German corrected. Closes: #293594
  * Debconf translations:
    - Brazilian Portuguese fixed. Closes: #262603
    - Czech updated. Closes: #259171
    - Dutch updated. Closes: #260295
    - Danish updated. Closes: #251084
    - Simplified Chinese updated
    - Traditional Chinese added
    - Italian added
    - German corrected. Closes: #293594
  * Documentation translations:
    - French added. Closes: #283357
  * Fix wrong UTF-8 encoding in the 1.25 changelog entry

 -- Christian Perrier <bubulle@debian.org>  Sat, 29 Jan 2005 09:46:43 +0100

apt-listchanges (2.59) unstable; urgency=low

  * Updated French translation from Christian Perrier (Closes: #260534)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 20 Jan 2005 10:09:09 -0800

apt-listchanges (2.58) unstable; urgency=low

  * Correctly treat the quiet value from apt as an integer (Closes: #284982)
  * Updated fr.po from Loic Le Loarer (Closes: #285440, #260534)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 10 Jan 2005 18:03:37 -0800

apt-listchanges (2.57) unstable; urgency=low

  * Fix typo in French translation of continuation prompt (Closes: #259465)
  * Honor the meaning of APT's quiet variable when its value is >1
    (suppress all output)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Nov 2004 17:32:11 -0800

apt-listchanges (2.56) unstable; urgency=low

  * Another Danish debconf translation update from Claus Hindsgaul <claus_h@image.dk>
    (Closes: #246863)
  * Updated Japanese translation of debconf templates from Kenshi Muto <kmuto@debian.org>
    (Closes: #244684)
  * Updated French translation of debconf templates from Denis Barbier <barbier@debian.org>
    (Closes: #248523)
  * Updated German translation of debconf templates from Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
    (Closes: #252051)
  * Updated French translation of message catalog from Christian Perrier <bubulle@debian.org>
    (Closes: #254819)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 27 Jun 2004 18:10:01 -0700

apt-listchanges (2.55) unstable; urgency=low

  * Corrected Danish translation of debconf templates from Claus Hindsgaul
    <claus_h@image.dk>
  * Updated German translation of debconf templates from Florian Ernst <florian@uni-hd.de>
    (Closes: #244132)
  * Depends: debianutils (>= 2.0.2) because that is when sensible-browser
    was added, and sensible-browser is used by the browser frontend
    (Closes: #246508)
  * Run debconf-updatepo

 -- Matt Zimmerman <mdz@debian.org>  Thu, 29 Apr 2004 20:33:33 -0700

apt-listchanges (2.54) unstable; urgency=low

  * Spanish man page update from Ruben Porras <nahoo82@telefonica.net>
    (Closes: #239909)
  * Danish translation of message catalog from Claus Hindsgaul <claus_h@image.dk>
  * Move Danish translation of debconf templates into the correct place
    (Closes: #239201)


 -- Matt Zimmerman <mdz@debian.org>  Mon,  5 Apr 2004 08:41:19 -0700

apt-listchanges (2.53) unstable; urgency=low

  * Don't bother twiddling the 'seen' flag (Closes: #240915)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 29 Mar 2004 16:32:35 -0800

apt-listchanges (2.52) unstable; urgency=low

  * Danish translation of debconf templates from Claus Hindsgaul <claus_h@image.dk>
    (Closes: #239201)
  * Update description to reflect news capabilities (Closes: #240786)
  * When upgrading from 2.51 or earlier, seed the apt-listchanges/which
    debconf question to "both", rather than the new default of "news", so
    that users upgrading from older versions get the old default, while
    new users get the new default

 -- Matt Zimmerman <mdz@debian.org>  Mon, 29 Mar 2004 10:00:23 -0800

apt-listchanges (2.51) unstable; urgency=low

  * Restore lost built-in default for frontend; this broke command-line
    invocation  (Closes: #237879)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Mar 2004 16:05:59 -0800

apt-listchanges (2.50) unstable; urgency=low

  * Update debhelper compatibility level to 4 and remove debian/conffiles
  * Use debian/compat rather than DH_COMPAT
  * Standards-Version: 3.6.1 (no changes needed)
  * Add new debconf question to ask whether to display news, changelogs or
    both.  Ask it at low priority, and default to news (Closes: #222362)
  * Adjust priorities and defaults of debconf questions to be less
    intrusive, and oriented towards a wider range of users:
    - Reduce priority of apt-listchanges/save-seen to low (almost
      everybody seems to want the default)
    - Reduce priority of apt-listchanges/email-address to low
      (still mails root by default; scream if you think this should remain
      medium)
    - Reduce priority of apt-listchanges/confirm to low, and change the
      default to false (no confirmation prompt)
    - End result: an installation at priority medium or higher will
      ask only one question (apt-listchanges/frontend), and display only
      NEWS.Debian items to the user on upgrades, with no confirmation
      prompt.  Feedback welcome.
  * Minor clarifications to some templates based on display of news as
    well as changelogs.  Mostly s/changelogs/changes/
  * With these changes, I think apt-listchanges would be suitable for
    priority: standard

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Mar 2004 15:38:29 -0800

apt-listchanges (2.49) unstable; urgency=low

  * Remove ugly ucf/debconf workaround, use ucf --debconf-ok and depend on
    ucf >= 0.28 (Closes: #237181)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 10 Mar 2004 08:16:41 -0800

apt-listchanges (2.48) unstable; urgency=low

  * Updated pt_BR debconf translations from Andre Luis Lopes <andrelop@debian.org>
    (Closes: #235383)
  * Display news and changes in separate frontend invocations, and in
    separate email messages (Closes: #204175)

 -- Matt Zimmerman <mdz@debian.org>  Mon,  8 Mar 2004 20:45:00 -0800

apt-listchanges (2.47) unstable; urgency=low

  * Fix the progress meter not to blow up if nothing was displayed

 -- Matt Zimmerman <mdz@debian.org>  Fri, 27 Feb 2004 13:36:44 -0800

apt-listchanges (2.46) unstable; urgency=low

  * Implement a --profile= command line option to select between different
    profiles in /etc/apt/listchanges.conf (Closes: #203395)
  * Get rid of the --version command line option; I always forgot to
    update it and am too lazy to make it automatic
  * Updated Finnish translation of debconf templates from Tommi
    Vainikainen <thv+debian@iki.fi> (Closes: #226851)
  * Simplified Chinese translation of debconf templates and message
    catalog from "Carlos Z.F. Liu" <carlos_liu@yahoo.com>
    (Closes: #230814)
  * Make the frontends more customizable by passing in data from the
    config file.  You can specify a pager for the pager frontend, a
    terminal emulator for the xterm frontend, a web browser for the
    browser frontend (Closes: #206811), or an email address to mail
    changelogs to (Closes: #203395)
  * Print a brief message letting the user know what's going on when
    aborting based on the confirmation prompt (Closes: #202210)
  * Handle the KeyboardInterrupt exception (Closes: #139265)
  * Don't send empty email if there are no changes and --which=news is
    specified
  * Spanish man page update from Ruben Porras <nahoo82@telefonica.net>
    (Closes: #231582)
  * Run debconf-updatepo

 -- Matt Zimmerman <mdz@debian.org>  Thu, 26 Feb 2004 23:01:49 -0800

apt-listchanges (2.45) unstable; urgency=low

  * Oops, only exit if we actually forked a child

 -- Matt Zimmerman <mdz@debian.org>  Thu,  8 Jan 2004 12:25:33 -0800

apt-listchanges (2.44) unstable; urgency=low

  * Don't forget to have the child exit after it's finished, when running
    a command in the background (Closes: #226631)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  7 Jan 2004 16:34:42 -0800

apt-listchanges (2.43) unstable; urgency=low

  * Clean up a bunch of pending stuff so that some new development can begin
  * Fix the documentation to reflect the removal of support for
    apt-listchanges-specific BROWSER environment variables; this is all
    done in the usual way now, using sensible-browser.
  * Updated Polish translation of debconf templates from Bartosz
    Zapalowski <bartek@klepisko.eu.org> (Closes: #208956)
  * Fix --which option to actually work, and to match the documentation
    (Closes: #215369)
  * Russian translation of gettext catalog from Ilgiz Kalmetev <translator@ilgiz.pp.ru>
    (Closes: #214383)
  * Update copyright years
  * Updated Spanish translation of man page from Ruben Porras <nahoo82@telefonica.net>
    (Closes: #218742)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  7 Jan 2004 09:25:09 -0800

apt-listchanges (2.42) unstable; urgency=low

  * Fix the mail frontend, broken in 2.40 (Closes: #205925)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 17 Aug 2003 12:04:01 -0400

apt-listchanges (2.41) unstable; urgency=low

  * Don't print headers for packages where there are no changes to display
    (Closes: #205858)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 17 Aug 2003 00:54:23 -0400

apt-listchanges (2.40) unstable; urgency=low

  * Updated Spanish translation of debconf templates from Carlos Valdivia
    Yag?e <valyag@dat.etsit.upm.es> (Closes: #203993)
  * Updated Dutch translation of debconf templates from cobaco
    <cobaco@linux.be> (Closes: #204700)
  * Updated Spanish man page from cvs.d.o/manpages/spanish
    (Closes: #203763)
  * Python 2.3 now provides secure temporary files with names.  This means
    that we don't need to do any more pipe tricks to pass things into
    xterm, and we can get rid of the browser-pipe script.  Depends: python
    (>= 2.3)
    - This also happens to fix some problems with non-xterm terminal
      emulators such as rxvt, which closed our pipe fd on use
      (Closes: #205323)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 15 Aug 2003 21:41:02 -0400

apt-listchanges (2.39) unstable; urgency=low

  * Ignore changelog files which don't look like Debian changelogs.  This
    will provide a nicer failure condition for situations like #161325,
    where changelog data is not actually available (but we previously
    thought it was)
  * Don't display NEWS headers in the case where a NEWS.Debian was present
    but contained no news (Closes: #202143)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 29 Jul 2003 19:42:46 -0400

apt-listchanges (2.38) unstable; urgency=low

  * Add Spanish man page from Ruben Porras <nahoo82@telefonica.net>
    (Closes: #195445)
  * Handle the case where a package contains multiple changelogs in
    different subdirectories of /usr/share/doc(!).  e2fsprogs does this:
    it Provides: libcomerr2 and libss2 and contains
    /usr/share/doc/{libcomerr2,libss2}/changelog.Debian.gz.  I have no
    idea why it does this, but there could be others, and it is easy
    enough to work around.  Take the first one which we can open
    successfully (Closes: #201152)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 13 Jul 2003 18:45:30 -0400

apt-listchanges (2.37) unstable; urgency=low

  * Fix urgency sorting (forgot to commit this for 2.36)
  * Fix a few small buglets (--which option and headers mode) from 2.36's
    reorg, spotted by Joe Drew
  * Add a bit about NEWS.Debian to the man page, courtesy of Joe Drew
  * Update man page to reflect /usr/share/doc as the standard location for
    the changelog
  * Move browser-pipe into /usr/share/apt-listchanges

 -- Matt Zimmerman <mdz@debian.org>  Mon,  7 Jul 2003 19:12:02 -0400

apt-listchanges (2.36) unstable; urgency=low

  * Refactor lots of code, with many tangible benefits
    - Make only a single pass through the deb, extracting all files we
      might be interested in, no matter how many different files we are
      interested in.  This makes searching for NEWS.Debian free, and speeds
      up processing of packages with only native changelogs (no
      changelog.Debian
    - OOPify several interfaces
    - Use the gzip module rather than forking zcat (faster and cleaner)
  * Add 'which' option to specify whether news, changelogs or both should
    be displayed.  This is still very primitive and everything is
    concatenated together.
  * Simplify urgency sorting
  * Remove import from __future__ which is unnecessary now that we require
    Python 2.2 anyway

 -- Matt Zimmerman <mdz@debian.org>  Mon,  7 Jul 2003 01:31:03 -0400

apt-listchanges (2.35) unstable; urgency=low

  * Experimental NEWS.Debian support, based on a patch from Joe Drew.
    NEWS.Debian has the same format as changelog.  Currently the only
    difference is that the NEWS.Debian entries for all packages are
    displayed ahead of any changelog entries.  In the future, there will
    likely be an option to display only NEWS entries and skip changelogs,
    and different frontends will be able to display the news differently
    (Closes: #192089)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  2 Jul 2003 23:44:39 -0400

apt-listchanges (2.34) unstable; urgency=low

  * "Abort abort abort!"
  * Give up trying to properly encode the character set of the subjects of
    emails we send out.  Pretend everything is OK.  (Closes: #180823)
  * This reopens #159122 (Subject is not encoded properly), but since it's
    archived, we'll call it #199318 now.
  * Make sure we overwrite the entire progress message when finished
    (Closes: #199268)
  * Use cStringIO to build up the big string for the HTML frontend.  This
    should make it much faster with large strings (Closes: #186561)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 29 Jun 2003 21:55:41 -0400

apt-listchanges (2.33) unstable; urgency=low

  * Remove obsolete debconf template
  * Updated Catalan translation of debconf templates and message catalog from
    Jordi Mallach <jordi@debian.org>
  * Japanese translation of debconf templates from Kenshi Muto
    <kmuto@debian.org> (Closes: #193708)
  * Try to solve the locale problems in a simpler way, by falling back to UTF-8 or
    US-ASCII (Closes: #185786)
  * If the browser doesn't understand pipes, give it /dev/tty as stdin
    when viewing a file: URL (Closes: #196282)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 21 Jun 2003 18:51:21 -0400

apt-listchanges (2.32) unstable; urgency=low

  * The "make joeyh happy" release
  * Use ucf rather than debconf to handle prompting about changes to the
    configuration file (Closes: #144510)
  * Updated pt_BR translation of debconf templates from
    Andre Luis Lopes <andrelop@ig.com.br> (Closes: #183311)

 -- Matt Zimmerman <mdz@debian.org>  Fri,  2 May 2003 21:26:33 -0400

apt-listchanges (2.31) unstable; urgency=low

  * Really include updated Polish translation (Closes: #179071)
  * Depend on python >= 2.2 (Closes: #181062)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 15 Feb 2003 00:22:28 -0500

apt-listchanges (2.30) unstable; urgency=low

  * Updated French translation of debconf templates from Denis Barbier
    <barbier@debian.org> (Closes: #179969)
  * Updated Polish translation of message catalogs from Michal Politowski
    <mpol@charybda.icm.edu.pl> (Closes: #179071)
  * Don't specify the encoding for the subject if no locale is set; many
    MUAs don't deal with this correctly (Closes: #179947)

 -- Matt Zimmerman <mdz@debian.org>  Thu,  6 Feb 2003 21:30:40 -0500

apt-listchanges (2.29) unstable; urgency=low

  * Resurrect the space between binary package names with --headers
    (Closes: #179856)

 -- Matt Zimmerman <mdz@debian.org>  Tue,  4 Feb 2003 20:32:30 -0500

apt-listchanges (2.28) unstable; urgency=low

  * Use a shell variable named something other than BROWSER in the
    browser-pipe script, so that it doesn't clobber a BROWSER environment
    variable and cause sensible-browser to call itself recursively.
    Isn't the bourne shell wonderful?
    (Closes: #179366)
  * Use the current locale's character set to encode the Subject header of
    email messages.  Hopefully this matches the character set used by
    gettext, because gettext doesn't seem to want to tell me what it's
    using
    (Closes: #159122)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  1 Feb 2003 16:57:00 -0500

apt-listchanges (2.27) unstable; urgency=low

  * Updated Brazilian Portuguese translation of message catalog from Andre Luis Lopes
    <andrelop@ig.com.br> (Closes: #177216)
  * Updated Catalan translations of debconf templates and message catalog
    from Jordi Mallach <jordi@debian.org> (Closes: #167284)
    I converted this to po-debconf, let me know if it did not turn out OK

 -- Matt Zimmerman <mdz@debian.org>  Wed, 29 Jan 2003 21:55:50 -0500

apt-listchanges (2.26) unstable; urgency=low

  * Add call to locale.setlocale(), which really Closes: #153760
    (which I called #174635 in the last version)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 29 Jan 2003 21:13:00 -0500

apt-listchanges (2.25) unstable; urgency=low

  * Use sensible-browser from debianutils in the browser frontends if it
    is available
  * Add Danish translation of message catalog from Morten Brix Pedersen
    <morten@wtf.dk> (Closes: #174074)
  * Use locale.YESEXPR to localize the confirmation prompt
    (Closes: #174635)
  * Use python's email module to build the email message, which should
    MIMEify things correctly (Closes: #159122)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 29 Jan 2003 19:16:02 -0500

apt-listchanges (2.24) unstable; urgency=low

  * Updated Catalan templates and catalog from Jordi Mallach
    <jordi@debian.org>
  * Switch to po-debconf.  I hope this works... (Closes: #167287)
  * Add a note about multiple address specification in the email-address
    template (Closes: #149478)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 17 Nov 2002 00:32:11 -0500

apt-listchanges (2.23) unstable; urgency=low

  * Fix Polish translation of confirmation prompt (Closes: #153758)
  * Add Japanese translation of message catalog, thanks to Junichi Uekawa
    <dancer@netfort.gr.jp> (Closes: #161477)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 21 Sep 2002 19:14:34 -0400

apt-listchanges (2.22) unstable; urgency=low

  * Fix confirmation prompt to be more conservative, and more like apt's
    (Closes: #153476)
  * Polish translation of debconf templates, thanks to  Michal Politowski
    <mpol@charybda.icm.edu.pl> (Closes: #153486)
  * Polish translation of message catalogs, thanks to  Michal Politowski
    <mpol@charybda.icm.edu.pl> (Closes: #153487)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 19 Jul 2002 20:55:15 -0400

apt-listchanges (2.21) unstable; urgency=low

  * Fix a bug which caused an ugly error when running on a .deb which was
    not installed, instead of just skipping it (Closes: #148348)
  * Add a newline to the "Didn't find any valid .deb archives" error
    message

 -- Matt Zimmerman <mdz@debian.org>  Wed, 29 May 2002 23:23:49 -0400

apt-listchanges (2.20) unstable; urgency=low

  * Properly document use of the mail frontend (Closes: #147896)
  * Updated Estonian translation of message catalogs from
    Ivar Smolin <okul@linux.ee>
  * Updated Spanish translation of message catalogs from
    David Martinez Moreno <ender@debian.org> (Closes: #147568)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 23 May 2002 22:36:14 -0400

apt-listchanges (2.19) unstable; urgency=low

  * Updated Catalan translation of debconf templates from Antoni Bella
    <bella5@teleline.es> (Closes: #142783)
  * Catch broken pipe errors when closing the pipe, as well as when
    writing to it (Closes: #143103)
  * Treat urgency as case-insensitive (Closes: #144049)
  * Handle 'emergency' and 'critical' urgencies explicitly

 -- Matt Zimmerman <mdz@debian.org>  Mon, 22 Apr 2002 21:05:11 -0400

apt-listchanges (2.18) unstable; urgency=medium

  * Use x-terminal-emulator instead of plain xterm (Closes: #142684)
  * Updated French translation of debconf templates from Denis Barbier
    <barbier@debian.org> (Closes: #142589)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 13 Apr 2002 15:34:41 -0400

apt-listchanges (2.17) unstable; urgency=low

  * Oops, forgot to include the updated debconf templates for the w3m ->
    browser change. (Closes: #142260)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 10 Apr 2002 19:25:10 -0400

apt-listchanges (2.16) unstable; urgency=low

  * Make the bug regex more useful.  It should now match a superset of the
    closes: syntax, while also trying to pick out plain-language bug
    references. (Closes: #141461)
  * Based on feedback about the w3m frontend, it seems a lot of folks
    prefer lynx.  Added a quick and dirty script which allows the user to
    specify a browser via the environment, or searches the path for some
    common browsers (Closes: #141457)
  * Use #!/usr/bin/python instead of #!/usr/bin/env python
    (Closes: #141701)
  * Suggest xterm, www-browser and debianutils

 -- Matt Zimmerman <mdz@debian.org>  Tue,  9 Apr 2002 00:08:44 -0400

apt-listchanges (2.15) unstable; urgency=low

  * The "I never forget a wishlist bug" release.
  * Add w3m frontend which creates HTML output with hyperlinks for bugs
    and email addresses, and a corresponding xterm-w3m frontend which does
    the same thing in an xterm in the background.  (Closes: #82360)
  * Only works with w3m for now, because that is the only browser that I
    am aware of which accepts input from a pipe.  Perhaps eventually, I
    will find a way to securely create temporary files for this purpose in
    Python, and any browser can be supported

 -- Matt Zimmerman <mdz@debian.org>  Wed,  3 Apr 2002 23:35:05 -0500

apt-listchanges (2.14) unstable; urgency=low

  * Fix the confirm prompt so that it defaults to yes
    again (oops)
    (Closes: #139413)
  * Force apt-listchanges/confirm to false for 'none' and 'mail' frontends
    (Closes: #139393)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 21 Mar 2002 22:03:21 -0500

apt-listchanges (2.13) unstable; urgency=low

  * Minor cosmetic changes to the progress indicators to make them more
    uniform and closer to apt's (Closes: #137736)
  * Be more conservative about the user's answer to the confirmation
    question (Closes: #137804)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 20 Mar 2002 23:07:07 -0500

apt-listchanges (2.12) unstable; urgency=low

  * Updated Spanish translation from David Martinez Moreno
    <ender@debian.org>
  * Skip the question about confirmation if the 'mail' or 'none' frontend
    is chosen (Closes: #137241)

 -- Matt Zimmerman <mdz@debian.org>  Thu,  7 Mar 2002 22:04:35 -0500

apt-listchanges (2.11) unstable; urgency=low

  * Skip packages which are being removed (Closes: #135166)
  * Print newline to stderr instead of stdout in the text frontend
    (Closes: #136381)

 -- Matt Zimmerman <mdz@debian.org>  Fri,  1 Mar 2002 20:27:44 -0500

apt-listchanges (2.10) unstable; urgency=low

  * Fix a reversed urgency test which caused incorrect sorting when
    multiple versions with different urgencies were included in the same
    changelog display (Closes: #134345)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 17 Feb 2002 00:16:27 -0500

apt-listchanges (2.9) unstable; urgency=low

  * Don't show a harmless error message when the config file does not
    exist (Closes: #134218)
  * Remove .pyc files in prerm (part of #133306)
  * Don't save the seen database until the user confirms the changes and
    mail has been sent (Closes: #108718)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 16 Feb 2002 13:37:50 -0500

apt-listchanges (2.8) unstable; urgency=low

  * Fix a bug which broke xterm-pager which was introduced when
    reorganizing the frontends (Closes: #133068)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Feb 2002 13:36:27 -0500

apt-listchanges (2.7) unstable; urgency=low

  * Updated Finnish translations of debconf templates and message catalogs
    from Jaakko Kangasharju <ashar@iki.fi>
  * Added German translations of message catalogs, and updated
    translations of debconf templates, from Leonard Michlmayr
    <Leonard.Michlmayr@ap.univie.ac.at>
  * Fix APT::quiet handling (Closes: #132501)
  * Fix --all (Closes: #132393)
  * Fix the mail frontend (Closes: #132428)
  * Remove duplicate FILES section from the man page (Closes: #132490)
  * Updated French translations of debconf templates from Denis Barbier
    <barbier@debian.org> (Closes: #132384)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  6 Feb 2002 20:34:58 -0500

apt-listchanges (2.6) unstable; urgency=low

  * Fix code which, in trying to filter out errors from tar while
    extracting the deb, mangled the changelog for the tar package
    (Closes: #132046)
  * Updated Spanish and Catalan translations of debconf templates and
    message catalogs from Jordi Mallach <jordi@debian.org>

 -- Matt Zimmerman <mdz@debian.org>  Sun,  3 Feb 2002 14:45:10 -0500

apt-listchanges (2.5) unstable; urgency=low

  * Start using python-apt (only version comparisons so far).  This gives
    a significant performance improvement, around 10%
  * Send mail after displaying changelogs, rather than before
  * Fix some funny business with the progress indicator
  * More translation updates, though things still aren't up to date
  * Reference /usr/sbin/sendmail instead of /usr/lib/sendmail
    (Closes: #132028)

 -- Matt Zimmerman <mdz@debian.org>  Sun,  3 Feb 2002 03:40:55 -0500

apt-listchanges (2.4) unstable; urgency=low

  * Add back the 'mail' frontend, so that 'none' can continue to mean
    "don't even look for changelogs". (Closes: #129991, #129794)
  * Add an error message for an unknown frontend (Closes: #129993)
  * Fix --help, usage() was lost when moving code to the module
    (Closes: #129992)
  * Get rid of the hackish 'run' configuration option, since frontend=none
    accomplishes the same purpose
  * Update the debconf templates to reflect several minor configuration
    differences

 -- Matt Zimmerman <mdz@debian.org>  Sat, 19 Jan 2002 17:09:16 -0500

apt-listchanges (2.3) unstable; urgency=low

  * Add 'none' option to apt-listchanges/frontend template
    (Closes: #129325)
  * Added back some things that shouldn't have been removed from po/Makefile
  * Regenerate po/*.po and po/apt-listchanges.pot to make translators'
    lives easier

 -- Matt Zimmerman <mdz@debian.org>  Tue, 15 Jan 2002 19:20:19 -0500

apt-listchanges (2.2) unstable; urgency=low

  * Clean up po/Makefile a bit
  * gettextize some messages that were overlooked, and update Catalan
    templates, both thanks to Jordi Mallach <jordi@debian.org>
  * Fix instantiation of gettext classes (Closes: #129123)
  * Update Estonian translations of message catalogs, thanks to Ivar
    Smolin <okul@linux.ee>
  * Do what the documentation says we should do when email_address ==
    'none'. (Closes: #129150)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 14 Jan 2002 03:58:39 -0500

apt-listchanges (2.1) unstable; urgency=low

  * On upgrade, remove /var/lib/apt/listchanges.db instead of truncating
    it
  * Fix a problem with parsing the APT configuration data in the pipeline
    (Closes: #129088)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 13 Jan 2002 20:37:28 -0500

apt-listchanges (2.0) unstable; urgency=low

  * The Python release
  * Complete rewrite in python, and lots of code cleanup
  * ATTENTION: The configuration file format has changed, it now uses
    python's ConfigParser.  Folks configuring based on the debconf
    questions should be migrated automagically.  Others will need to RTFM.
  * The newt frontend is gone, and good riddance.  Try the pager frontend,
    fix newt, or send me a patch for something better.
    (Closes: #78814, #94572, #126055)
  * Mail can now be sent in addition to running one of the usual
    frontends, using --email-address=me@there.  If this option is not
    specified, no mail is sent.  An argument of 'none' overrides a
    configured default. (Closes: #78448)
  * --nosaveseen is gone.  --saveseen now accepts an argument, which is
    the database file to use, so you can use different databases for
    different tasks.  --saveseen=none will act like the old --nosaveseen.
  * Get rid of the automake cruft and just do it by hand.  Automake was
    starting to do way too much unnecessary work
  * Document the config file format
  * Since this was as much a redesign as a rewrite, it is possible that an
    old bug or two may have crept back in; some of the logic is fragile
    due to lax standardization of certain aspects of Debian packaging.  I
    have squashed a few already as I have noticed them.  Send in those bug
    reports for ones that I may have missed.

 -- Matt Zimmerman <mdz@debian.org>  Sun, 13 Jan 2002 03:17:16 -0500

apt-listchanges (1.61) unstable; urgency=low

  * Remove a stray debugging statement (Closes: #125586)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 17 Dec 2001 20:24:04 -0500

apt-listchanges (1.60) unstable; urgency=low

  * Added a --debug option to help with debugging future problems
  * Work around tar's ridiculous globbing, so that we don't pick up things
    that look like changelogs but are in a subdirectory of .../doc
    (Closes: #118382)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 13 Dec 2001 04:20:30 -0500

apt-listchanges (1.59) unstable; urgency=low

  * Fix formatting in man page, thanks to Andras BALI <bali@debian.org>
    (part of bug #111013)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 12 Nov 2001 22:32:47 -0500

apt-listchanges (1.58) unstable; urgency=low

  * Be sure to return a true value from the xterm-pager initialization
    routine, thanks to Charles C.Fu <ccwf@bacchus.com> (Closes: #114245)
  * Updated Catalan translation from Jordi Mallach <jordi@debian.org>

 -- Matt Zimmerman <mdz@debian.org>  Wed, 17 Oct 2001 15:59:26 -0400

apt-listchanges (1.57) unstable; urgency=low

  * Don't get confused when there are no changelog entries for the
    newly-installed version of a package.  This should never happen, of
    course, but it just did with cracklib2.

 -- Matt Zimmerman <mdz@debian.org>  Thu,  6 Sep 2001 20:10:04 -0400

apt-listchanges (1.56) unstable; urgency=low

  * Updated Galician translation of Debconf templates from Jacobo Tarrio
    <jtarrio@trasno.net>
  * Updated Spanish translations of Debconf templates and message catalogs
    from Jordi Mallach <jordi@debian.org>
  * Added Catalan translations of Debconf templates and message catalogs
    from Jordi Mallach <jordi@debian.org>

 -- Matt Zimmerman <mdz@debian.org>  Mon, 27 Aug 2001 15:01:52 -0400

apt-listchanges (1.55) unstable; urgency=low

  * Add fallback from xterm-pager to pager (Closes: #107211)
  * Fallback from pager->text, not pager->mail (what was I thinking?)
  * Rename apt.conf.d/20-apt-listchanges.conf to apt.conf.d/20listchanges
    to meet the new filename restrictions in apt 0.5.4 (Closes: #109784)
  * Build-depend on autoconf >= 2.50-1, and run autoconf2.50, to work with
    the latest libtool

 -- Matt Zimmerman <mdz@debian.org>  Sat, 25 Aug 2001 18:12:39 -0400

apt-listchanges (1.54) unstable; urgency=low

  * Fix various harmless Perl warnings (Closes: #106047)
  * No longer ship with #!/usr/bin/perl -w; it's more trouble than it's
    worth in the wild.
  * Do a secondary sort on package name after the upload urgency sort
    (Closes: #106045)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 21 Jul 2001 17:46:03 -0400

apt-listchanges (1.53) unstable; urgency=low

  * Added a feature to keep track of which changelogs have already been
    seen by the user, and accompanying debconf question, config file
    option, and command line option. (Closes: #77161, #103537)
  * A respectable bit of code cleanup.  A rewrite is probably called for,
    perhaps in a different language.  We'll wait and see.
  * Remember to read all of the pipeline data when using the 'none'
    frontend (Closes: #105701)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 17 Jul 2001 18:08:16 -0400

apt-listchanges (1.52) unstable; urgency=low

  * Added support for APT_LISTCHANGES_FRONTEND environment variable to
    allow easy frontend selection when apt-listchanges is being called by
    another program.
  * Added a new, snazzy frontend called 'none' which will cause
    apt-listchanges to exit without doing anything.
  * These two features can be used together to skip the changelogs for a
    particular run. (Closes: #77988, #105423)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 15 Jul 2001 22:36:03 -0400

apt-listchanges (1.51) unstable; urgency=low

  * Fix to work with .debs created by older versions of dpkg-dev
    (Closes: #100975)
  * Update extended description to refer to /usr/share/doc
    (Closes: #103017)

 -- Matt Zimmerman <mdz@debian.org>  Sun,  1 Jul 2001 18:01:14 -0400

apt-listchanges (1.50) unstable; urgency=low

  * Added Brazilian Portuguese translation of debconf templates, thanks to
    Jeronimo Pellegrini <pellegrini@mpcnet.com.br> (Closes: #99820)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 16 Jun 2001 00:01:43 -0400

apt-listchanges (1.49) unstable; urgency=low

  * Fix a bogus error when installing a package from scratch, appeared in
    1.48.

 -- Matt Zimmerman <mdz@debian.org>  Wed, 23 May 2001 16:52:27 -0400

apt-listchanges (1.48) unstable; urgency=low

  * Updated Galician translation of debconf templates, thanks to Jacobo
    Tarrio <jtarrio@trasno.net>
  * Read .debs in the order in which apt will configure them.  This lets
    us find changelogs in the new perl, and may speed things up a bit for
    packages where .../doc/foo -> bar and foo Depends: bar.
    (Closes: #98442)
  * Fix up Makefile.in to work with the latest automake.  Use _SCRIPTS
    instead of _PROGRAMS, which I should have probably done in the first
    place.

 -- Matt Zimmerman <mdz@debian.org>  Tue, 22 May 2001 21:29:39 -0400

apt-listchanges (1.47) unstable; urgency=low

  * Add Estonian translation of message catalogs, thanks to Ivar Smolin
    <okul@linux.ee>
  * Make sure we read all of the piped data from apt, even if we are just
    going to exit because we won't do anything.  If we don't, apt thinks
    we broke. (Closes: #96114)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  2 May 2001 18:14:40 -0400

apt-listchanges (1.46) unstable; urgency=low

  * Copy in the latest po/Makefile.in.in from gettext (Closes: #94750)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 24 Apr 2001 11:52:48 -0400

apt-listchanges (1.45) unstable; urgency=low

  * Skip "Local variables" section at end of changelog.  Really, this
    should never show up anyway, since we won't usually be displaying the
    last entry in the changelog.  It seems to come up anyway, usually
    during weird package splits/merges and the like. (Closes: #93332)
  * Still read the status file, even if we are getting some information
    from the apt pipeline.  apt doesn't give us the source package
    version, which we need to do our job.  Darn. (Closes: #93790)
  * Miscellaneous fixes to work with the most recent automake

 -- Matt Zimmerman <mdz@debian.org>  Fri, 13 Apr 2001 19:05:55 -0400

apt-listchanges (1.44) unstable; urgency=low

  * Added Galician translation of debconf templates, thanks to Jacobo
    Tarrio <jtarrio@iname.com>
  * Updated Galician translation of message catalog, thanks to Jacobo
    Tarrio <jtarrio@iname.com>
  * Give a more sensible error message if the user specifies something
    other than .deb archives on the command line (Closes: #92058)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 29 Mar 2001 03:29:15 -0500

apt-listchanges (1.43) unstable; urgency=low

  * Added --version and --help options (Closes: #90929)
  * Automatically substitute package version from changelog into
    configure.in, so that it doesn't fall out of sync when I forget to
    update it.

 -- Matt Zimmerman <mdz@debian.org>  Sun, 25 Mar 2001 02:20:42 -0500

apt-listchanges (1.42) unstable; urgency=low

  * Added Finnish translation of message catalog, thanks to Jaakko
    Kangasharju <ashar@iki.fi>
  * Make urgency comparison case insensitive (to deal with urgency values
    like HIGH, used by a recent xfree86 upload).  This caused "Use of
    uninitialized value" warnings when such a value was encountered.

 -- Matt Zimmerman <mdz@debian.org>  Tue, 20 Mar 2001 20:08:19 -0500

apt-listchanges (1.41) unstable; urgency=low

  * Fixed an uninitialized value warning in the newt frontend

 -- Matt Zimmerman <mdz@debian.org>  Sat, 17 Mar 2001 23:09:50 -0500

apt-listchanges (1.40) unstable; urgency=low

  * Don't display the per-package headers by default, as they can get in
    the way of an easy visual scan.  Instead, they can be turned on using
    the -h or --headers command line options.  Edit
    /etc/apt/apt.conf.d/20-apt-listchanges.conf and add the option there
    if you want the headers back. (Closes: #89821)
  * Add missing build-dependency on the new perl

 -- Matt Zimmerman <mdz@debian.org>  Thu, 15 Mar 2001 23:33:43 -0500

apt-listchanges (1.39) unstable; urgency=low

  * Prevent an obscure warning that only happened if apt-listchanges was
    run unconfigured.
  * Fix urgency sorting (broken in 1.36, I think)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 15 Mar 2001 01:21:22 -0500

apt-listchanges (1.38) unstable; urgency=low

  * The text frontend will no longer display a progress indicator, so that
    its output can be usefully redirected to a file.
  * If APT::quiet has been set (e.g. by apt-get -q), apt-listchanges will
    force the text frontend to be used, so that apt-get -q output will be
    loggable.
  * Closes: #89511

 -- Matt Zimmerman <mdz@debian.org>  Tue, 13 Mar 2001 17:25:04 -0500

apt-listchanges (1.37) unstable; urgency=low

  * Parse the urgency value correctly, even when there are multiple
    key/value pairs in the changelog header (Closes: #89492)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 13 Mar 2001 07:43:00 -0500

apt-listchanges (1.36) unstable; urgency=low

  * Show which binary packages relate to the source packages for which
    changes are being displayed (Closes: #85572)
  * Now -w clean, as far as I can determine.  This may cause some warnings
    to be displayed under certain circumstances now; I will try to fix
    them as they come up.

 -- Matt Zimmerman <mdz@debian.org>  Sun, 11 Mar 2001 03:27:03 -0500

apt-listchanges (1.35) unstable; urgency=low

  * Added Galician translation of message catalogs, thanks to Jacobo
    Tarrio <jtarrio@iname.com>
  * Modify apt.conf snippet to sanitize the exit code, so we don't cause
    apt to abort unless we really want to. (Closes: #88784)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 10 Mar 2001 00:05:08 -0500

apt-listchanges (1.34) unstable; urgency=low

  * We now interface with apt by dropping a conffile in
    /etc/apt/apt.conf.d.  This allows us to avoid sharing a config file
    with anyone else, and to have a defined execution order in relation
    to, e.g. dpkg-preconfigure.
  * debian/control: depend on apt (>= 0.5.3)
  * debian/control: depend on debconf (this should have been there long
    ago)
  * debian/rules: install /etc/apt/apt.conf.d/20-apt-listchanges.conf
  * debian/postinst: updated for apt 0.5 (no more apt.conf hackery!)
  * debian/postinst: added apt-mode-run config option, necessary for the
    new way of interfacing with apt
  * apt-listchanges.in: added apt-mode-run config option
  * Added Spanish translation of message catalogs, thanks to Jordi Mallach
    <jordi@debian.org>
  * apt-listchanges.sgml: Clarify the meaning of the --apt option

 -- Matt Zimmerman <mdz@debian.org>  Sun,  4 Mar 2001 21:58:23 -0500

apt-listchanges (1.33) unstable; urgency=low

  * Depend on liblocale-gettext-perl (I forgot to commit this change along
    with the i18n changes in 1.32 (Closes: #85751, #85780)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 12 Feb 2001 23:13:08 -0500

apt-listchanges (1.32) unstable; urgency=low

  * apt-listchanges is now internationalized.  New catalogs can be added
    in the po/ directory.  Translations are welcome. (Closes: #85432)
  * The build system has been reworked to use automake, for easier
    integration with gettext

 -- Matt Zimmerman <mdz@debian.org>  Mon, 12 Feb 2001 01:59:10 -0500

apt-listchanges (1.31) unstable; urgency=low

  * Finnish translation of debconf templates, thanks to Jaakko Kangasharju
    <ashar@iki.fi> (Closes: #85433)

 -- Matt Zimmerman <mdz@debian.org>  Fri,  9 Feb 2001 17:20:54 -0500

apt-listchanges (1.30) unstable; urgency=low

  * Added Korean translation of debconf templates, thanks to Eungkyu Song
    <eungkyu@sparcs.kaist.ac.kr>

 -- Matt Zimmerman <mdz@debian.org>  Sat,  3 Feb 2001 01:03:03 -0500

apt-listchanges (1.29) unstable; urgency=low

  * Added Spanish translation of debconf templates, thanks to Jordi
    Mallach <jordi@debian.org>

 -- Matt Zimmerman <mdz@debian.org>  Thu,  1 Feb 2001 02:36:33 -0500

apt-listchanges (1.28) unstable; urgency=low

  * Added Dutch translation of debconf templates, thanks to "Thomas
    J. Zeeman" <tjzeeman@cs.vu.nl> (Closes: #83947)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 28 Jan 2001 18:23:26 -0500

apt-listchanges (1.27) unstable; urgency=low

  * Added French translation of debconf templates, thanks to Thomas Morin
    <thomas.morin@webmotion.com> (Closes: #83799)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 28 Jan 2001 00:09:34 -0500

apt-listchanges (1.26) unstable; urgency=low

  * Fixed a bug in the urgency sorting code; some higher-priority entries
    would incorrectly be sorted equal to low-priority entries

 -- Matt Zimmerman <mdz@debian.org>  Fri, 26 Jan 2001 14:28:59 -0500

apt-listchanges (1.25) unstable; urgency=low

  * Added Swedish translation of debconf templates, thanks to André
    Dahlqvist <anedah-9@sm.luth.se>
  * Added German translation of debconf templates, thanks to Leonard
    Michlmayr <Leonard.Michlmayr@ap.univie.ac.at>

 -- Matt Zimmerman <mdz@debian.org>  Thu, 25 Jan 2001 00:28:11 -0500

apt-listchanges (1.24) unstable; urgency=low

  * Added -a/--all option, which ignores version checks and just dumps the
    entire changelog (Closes: #82225)
  * Prompt whether or not to overwrite an existing
    /etc/apt/listchanges.conf (Closes: #80983)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 18 Jan 2001 17:38:11 -0500

apt-listchanges (1.23) unstable; urgency=low

  * Handle packages with different binary/source versions correctly
    (Closes: #82222)
  * Use Build-Depends-Indep rather than Build-Depends

 -- Matt Zimmerman <mdz@debian.org>  Sun, 14 Jan 2001 18:01:49 -0500

apt-listchanges (1.22) unstable; urgency=low

  * Handle apt-mode-confirm=no correctly (Closes: #81026)

 -- Matt Zimmerman <mdz@debian.org>  Wed,  3 Jan 2001 22:44:41 -0500

apt-listchanges (1.21) unstable; urgency=low

  * Added xterm-pager frontend, which starts an xterm in the background to
    display changes (Closes: #78662)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 25 Dec 2000 21:16:05 -0500

apt-listchanges (1.20) unstable; urgency=low

  * Fall back from more complex to less complex frontends when
    initialization fails (Closes: #80477)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 25 Dec 2000 20:23:51 -0500

apt-listchanges (1.19) unstable; urgency=low

  * Change the name and meaning of the config file variable 'confirm' so
    that it only applies to apt mode.  A config file default for this
    doesn't make sense when running from the command line.(Closes: #80082)
  * Clean up old debconf questions that we don't ask anymore

 -- Matt Zimmerman <mdz@debian.org>  Tue, 19 Dec 2000 23:15:38 -0500

apt-listchanges (1.18) unstable; urgency=low

  * Clarify and extend man page (Closes: #79698)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 19 Dec 2000 00:58:08 -0500

apt-listchanges (1.17) unstable; urgency=low

  * Only ask for confirmation if there were changes to display

 -- Matt Zimmerman <mdz@debian.org>  Wed, 13 Dec 2000 16:58:27 -0500

apt-listchanges (1.16) unstable; urgency=low

  * Fix bug that caused apt-listchanges to run if no packages were being
    installed, only removed (Closes: #79479)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 12 Dec 2000 19:03:06 -0500

apt-listchanges (1.15) unstable; urgency=low

  * All interactive frontends now have the option of asking the user
    whether or not to continue, in a way appropriate for the selected
    frontend.  Right now, this is a simple text prompt for all of them.
    (Closes: #78552)
  * Configuration file moved to /etc/apt/listchanges.conf
  * Renamed debconf variables to suit their actual use (which turned out
    to be different from their intended one).  This will cause all
    questions to get asked again, but since there is a new question to ask
    anyway, nobody should mind too much.
  * Some support for the new apt (0.4), which gives us a lot more information
    in the pipeline in addition to the .deb filenames.  This means that we
    won't have to read the status file anymore.  There is also a newer and
    better way to configure our hook into apt, but we can't use it until
    there is a new released version of apt to Depend on.

 -- Matt Zimmerman <mdz@debian.org>  Sun, 10 Dec 2000 00:22:12 -0500

apt-listchanges (1.14) unstable; urgency=low

  * Only skip based on the source package name if we actually got changelogs
    from another binary package with the same source package.  This fixes
    a problem when processing multi-binary packages which symlink
    subdirectories in /usr/share/doc (e.g. xmms/xmms-dev).

 -- Matt Zimmerman <mdz@debian.org>  Thu, 30 Nov 2000 04:56:49 -0500

apt-listchanges (1.13) unstable; urgency=low

  * Don't send empty messages when using the mail frontend (Closes: #77993)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 27 Nov 2000 14:37:22 -0500

apt-listchanges (1.12) unstable; urgency=low

  * Make newt optional.  We only load it if the user is using the newt
    frontend, and fail with an informative message if it's unavailable.
    This also means we now Suggest newt, rather than depending on it, and
    it is no longer the default in debconf.  All you pager users can purge
    libnewt-perl and libnewt0 now.
  * Include the hostname when using the mail frontend (Closes: #77588)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 21 Nov 2000 00:01:15 -0500

apt-listchanges (1.11) unstable; urgency=low

  * Always ignore the return value of the pager program...it's too
    unpredictable to use for making a decision.  I would like for the user
    to have some way to tell apt-listchanges to abort when using the pager
    frontend, but I'll have to find another way.  Once again, this
    hopefully Closes: #77421.
  * The patch to order changelog entries by urgency slipped out of 1.10.
    The functionality should be there now (Closes: #77420)

 -- Matt Zimmerman <mdz@debian.org>  Mon, 20 Nov 2000 19:58:12 -0500

apt-listchanges (1.10) unstable; urgency=low

  * Order changelog entries by urgency (Closes: #77420)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 19 Nov 2000 04:21:16 -0500

apt-listchanges (1.9) unstable; urgency=low

  * Remember to catch SIGPIPE when using the pager frontend
    (Closes: #77421)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 19 Nov 2000 03:40:24 -0500

apt-listchanges (1.8) unstable; urgency=low

  * Documented frontend and email-address options in manpage, corrected
    program name in manpage.

 -- Matt Zimmerman <mdz@debian.org>  Sat, 18 Nov 2000 04:46:52 -0500

apt-listchanges (1.7) unstable; urgency=low

  * Multiple frontend support added.  You can now choose to view
    changelogs with a pager, a simple text dump, via email, or with the
    old newt interface (Closes: #77186)
  * Remember to include the TODO list (oops)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 18 Nov 2000 00:10:12 -0500

apt-listchanges (1.6) unstable; urgency=low

  * Remember to remove ourselves from apt.conf if we are reconfigured
    using dpkg-reconfigure
  * Resize ourselves properly (Closes: #77236)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 16 Nov 2000 18:12:31 -0500

apt-listchanges (1.5) unstable; urgency=low

  * Fixed a bug that would read the wrong changelog for Debian
    native packages (notably dpkg) which have both a changelog.gz and
    changelog.Debian.gz.
  * Use only one piece of whitespace to indent the debconf template
    description (Closes: #77157)
  * Updated TODO list
  * Strip entire path from .deb pathnames for the progress display, not
    just /var/cache/apt/archives.  This accounts for systems accessing a
    local mirror via apt (Closes: #77158)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 15 Nov 2000 23:46:33 -0500

apt-listchanges (1.4) unstable; urgency=low

  * Updated TODO list
  * Updated Standards-Version (no changes necessary)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 11 Nov 2000 15:56:55 -0500

apt-listchanges (1.3) unstable; urgency=low

  * Make sure we read the entire changelog (even if it is not displayed)
    to avoid a 'broken pipe' error when closing the pipe on a long
    changelog (first noticed with xext 3.3.6-12)
  * Removed extra space at the left margin of the description (thanks,
    lintian)
  * Enhanced description.

 -- Matt Zimmerman <mdz@debian.org>  Sat,  4 Nov 2000 20:55:51 -0500

apt-listchanges (1.2) unstable; urgency=low

  * Change maintainer email address

 -- Matt Zimmerman <mdz@debian.org>  Wed,  1 Nov 2000 22:34:52 -0500

apt-listchanges (1.1) unstable; urgency=low

  * Added debconf support.
  * Optionally add ourselves to /etc/apt/apt.conf when installed, and
    remove when we are removed.

 -- Matt Zimmerman <mdz@csh.rit.edu>  Wed, 18 Oct 2000 19:48:53 -0400

apt-listchanges (1.0) unstable; urgency=low

  * Package renamed to apt-listchanges

 -- Matt Zimmerman <mdz@csh.rit.edu>  Wed, 18 Oct 2000 18:15:48 -0400

debchanges (0.13) unstable; urgency=low

  * Check for packages whose source package version differs from the
    binary package version, and do the right thing.
  * Added a cancel button (causes exit with nonzero status).
  * Fixed a bug in the source package check that caused packages to be
    skipped when they shouldn't have been

 -- Matt Zimmerman <mdz@csh.rit.edu>  Tue, 17 Oct 2000 01:40:43 -0400

debchanges (0.12) unstable; urgency=low

  * It is not an error if --apt is specified and no package files are sent
    to stdin.

 -- Matt Zimmerman <mdz@csh.rit.edu>  Sun,  8 Oct 2000 23:09:26 -0400

debchanges (0.11) unstable; urgency=low

  * Only process one binary package from each source package (changelogs
    should be the same)

 -- Matt Zimmerman <mdz@csh.rit.edu>  Wed, 27 Sep 2000 14:19:39 -0700

debchanges (0.10) unstable; urgency=low

  * Fixed a bug that caused an empty dialog to be displayed (thanks to
    Matthias Klose <doko@cs.tu-berlin.de>>
  * Set Architecture: all (oops)

 -- Matt Zimmerman <mdz@csh.rit.edu>  Sat, 23 Sep 2000 02:43:46 -0400

debchanges (0.9) unstable; urgency=low

  * Initial Release.

 -- Matt Zimmerman <mdz@csh.rit.edu>  Wed, 13 Sep 2000 21:11:29 -0400
